%define _unpackaged_files_terminate_build 1

Name: adt-test-tools
Version: 0.1.7
Release: alt1

Summary: Test tools for ADT.
License: GPLv2+
Group: Other
URL: https://github.com/AlexSP0/adt-test-tools

BuildArch: noarch

Source0: %name-%version.tar

%description
Test tools for ADT.

%prep
%setup

%install
mkdir -p %buildroot%_libexecdir/%name
mkdir -p %buildroot%_sysconfdir/alterator/backends/system
mkdir -p %buildroot%_sysconfdir/alterator/backends/user

mkdir -p %buildroot%_datadir/alterator/diagnostic_tool
mkdir -p %buildroot%_datadir/alterator/diagnostic_tool_user

mkdir -p %buildroot%_datadir/alterator/diagnostic_tool2
mkdir -p %buildroot%_datadir/alterator/diagnostic_tool2_user

mkdir -p %buildroot%_datadir/alterator/diagnostic_tool3_user

install -v -p -m 755 -D adt-test-tool %buildroot%_libexecdir/%name
install -v -p -m 755 -D adt-test-tool-user %buildroot%_libexecdir/%name

install -v -p -m 644 -D diagnostic_tool.backend %buildroot%_sysconfdir/alterator/backends/system
install -v -p -m 644 -D diagnostic_tool_user.backend %buildroot%_sysconfdir/alterator/backends/user

install -v -p -m 644 -D diagnostic_tool2.backend %buildroot%_sysconfdir/alterator/backends/system
install -v -p -m 644 -D diagnostic_tool2_user.backend %buildroot%_sysconfdir/alterator/backends/user

install -v -p -m 644 -D diagnostic_tool3.backend %buildroot%_sysconfdir/alterator/backends/user

install -v -p -m 644 -D diagnostic_tool_sys.diag %buildroot%_datadir/alterator/diagnostic_tool
install -v -p -m 644 -D diagnostic_tool_user.diag %buildroot%_datadir/alterator/diagnostic_tool_user

install -v -p -m 644 -D diagnostic_tool2_sys.diag %buildroot%_datadir/alterator/diagnostic_tool2
install -v -p -m 644 -D diagnostic_tool2_user.diag %buildroot%_datadir/alterator/diagnostic_tool2_user

install -v -p -m 644 -D diagnostic_tool3_user.diag %buildroot%_datadir/alterator/diagnostic_tool3_user

%files
%_libexecdir/%name/adt-test-tool
%_libexecdir/%name/adt-test-tool-user

%_sysconfdir/alterator/backends/system/diagnostic_tool.backend
%_sysconfdir/alterator/backends/user/diagnostic_tool_user.backend

%_sysconfdir/alterator/backends/system/diagnostic_tool2.backend
%_sysconfdir/alterator/backends/user/diagnostic_tool2_user.backend

%_sysconfdir/alterator/backends/user/diagnostic_tool3.backend

%_datadir/alterator/diagnostic_tool/diagnostic_tool_sys.diag
%_datadir/alterator/diagnostic_tool_user/diagnostic_tool_user.diag

%_datadir/alterator/diagnostic_tool2/diagnostic_tool2_sys.diag
%_datadir/alterator/diagnostic_tool2_user/diagnostic_tool2_user.diag

%_datadir/alterator/diagnostic_tool3_user/diagnostic_tool3_user.diag

%changelog
