%define _unpackaged_files_terminate_build 1

Name: alteratorctl
Version: 0.0.9
Release: alt2

Summary: CLI for alterator browser
License: GPL-2.0+
Group: System/Configuration/Other

BuildRequires: cmake gcc glib2-devel libdbus-glib-devel libgio-devel libpcre2-devel libffi-devel
BuildRequires: zlib-devel libmount-devel libblkid-devel libselinux-devel libtomlc99-devel libgumbo-devel

Requires: alterator-manager >= 0.1.25
Requires: alterator-module-executor >= 0.1.14
Requires: libtomlc99

Source0: %name-%version.tar

%description
A command line tool for using DBus objects

%prep
%setup

%build
%cmake -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
%cmakeinstall_std

%files
%_bindir/%name
%_datadir/alteratorctl/lang/ru/LC_MESSAGES/%name.mo

%changelog
