Name: ashell
Version: 0.4.0
Release: alt1
License: MIT

Summary: A ready to go Wayland status bar for Hyprland

Group: Graphical desktop/Other

Url: https://github.com/MalpenZibo/ashell
Vcs: https://github.com/MalpenZibo/ashell.git

Source: %name-%version.tar
Source1: %name-development-%version.tar
Source2: config.toml

BuildRequires(pre): rpm-macros-rust
BuildRequires: rpm-build-rust clang-devel
BuildRequires: /proc

BuildRequires: pkgconfig(xkbcommon)
BuildRequires: pkgconfig(libpipewire-0.3)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(dbus-1)

%description
%summary.

%prep
%setup -a1
install -vD %SOURCE2 .cargo/config.toml

%build
%rust_build

%install
%rust_install

%files
%_bindir/%name

%changelog
