%define _unpackaged_files_terminate_build 1

%add_python3_path %_libexecdir/canto/plugins

Name: canto-curses
Version: 0.9.9
Release: alt1.1
Summary: Curses frontend for Canto daemon
License: GPLv2
Group: Networking/News
Url: https://codezen.org/canto-ng/

# https://github.com/themoken/canto-curses.git
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildPreReq: python3-devel python3-modules-curses
BuildPreReq: libreadline-devel libncursesw-devel

Requires: canto-next

%description
Canto is an Atom/RSS feed reader for the console that is meant to be
quick, concise, and colorful. It's meant to allow you to crank through
feeds like you've never cranked before by providing a minimal, yet
information packed interface. No navigating menus. No dense blocks of
unreadable white text. An interface with almost infinite customization
and extensibility using the excellent Python programming language.

%prep
%setup

# Quick hotfix for python3.13
sed -i '/pipes/d' canto_curses/command.py

%build
%python3_build_debug

%install
%python3_install

%files
%doc *.md
%_bindir/*
%_libexecdir/canto/plugins/*
%python3_sitelibdir/*
%_man1dir/*

%changelog
