Name:           cloc
Version:        2.04
Release:        alt1
Summary:        Count lines of code
License:        GPL-2.0+
Group:          Development/Tools
URL:            https://github.com/AlDanial/cloc
Source0:        %name-%version.tar

BuildArch:      noarch
# Build
BuildRequires:  coreutils
BuildRequires:  perl-podlators
# Runtime
BuildRequires: gcc-c++ perl(Encode.pm) swig
BuildRequires:  perl(Algorithm/Diff.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(Digest/MD5.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Glob.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(IO/File.pm)
BuildRequires:  perl(Parallel/ForkManager.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(Regexp/Common.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Text/Tabs.pm)
BuildRequires:  perl(Time/HiRes.pm)
BuildRequires:  perl(warnings.pm)
# Tests only
BuildRequires:  perl-devel
BuildRequires:  perl-Pod-Checker
BuildRequires:  perl(Test/More.pm)

%description
A tool to count lines of code in various languages from a given directory.

%prep
%setup -q -n %name-%version/Unix

%build
# Nothing to do but run make anyway, in case anything ever changes
%make_build

%install
make install DESTDIR="%buildroot"

%files
%doc --no-dereference COPYING
%doc AUTHORS NEWS README
%_bindir/%name
%_mandir/man1/%name.1*

%changelog
