%define rname colord-kde

Name: %rname
Version: 24.12.1
Release: alt2
%K6init

Group: Graphical desktop/KDE
Summary: Colord support for KDE
Url: https://invent.kde.org/graphics/colord-kde/
License: GPL-2.0-or-later

Requires: colord icc-profiles
Requires: kf6-kirigami-addons
Provides:  kde5-colord = %EVR
Obsoletes: kde5-colord < %EVR

Source: %rname-%version.tar
Source10: po-add-ru.po
Patch1: fix_icc_profile_delete.patch

BuildRequires(pre): rpm-build-kf6
BuildRequires: extra-cmake-modules
BuildRequires: qt6-declarative-devel
BuildRequires: liblcms2-devel
BuildRequires: libvulkan-devel
BuildRequires: libXrandr-devel libXaw-devel libXres-devel libXext-devel libxcb-devel
BuildRequires: kf6-kcmutils-devel kf6-kconfigwidgets-devel kf6-kdbusaddons-devel kf6-ki18n-devel
BuildRequires: kf6-kservice-devel kf6-kwindowsystem-devel kf6-kpackage-devel
BuildRequires: kf6-kdeclarative-devel kf6-kitemmodels-devel

%description
KDE support for colord including KDE Daemon module and System Settings module.

%prep
%setup -n %rname-%version
%patch1 -p1

mv po/ru/colord-kde.po{,.old}
msgcat --use-first po/ru/colord-kde.po.old %SOURCE10 > po/ru/colord-kde.po
rm -f po/ru/colord-kde.po.old
cp -ar po/ru/colord-kde.po po/ru/kcm_colord.po

%build
%K6build

%install
%K6install
%K6install_move data locale kpackage
%find_lang %name --with-kde --all-name

%files -f %name.lang
%doc MAINTAINERS TODO
%_K6bin/*colord*
%_K6xdgapp/*colord*.desktop
%_K6plug/kf6/kded/*colord*.so
%_K6plug/plasma/kcms/systemsettings/*colord*.so


%changelog
