%define optflags_lto %nil
Name:     denise
Version:  2.4
Release:  alt1

Summary:  Highly accurate C64/Amiga emulator
License:  GPL3
Group:    Emulators
Url:      https://sourceforge.net/projects/deniseemu/

Packager: Artyom Bystrov <arbars@altlinux.org>

Source:   %name-%version.tar
BuildRequires(Pre): rpm-macros-cmake
BuildRequires: build-essential gcc-c++ cmake libSDL2-devel libgtk+3-devel libpulseaudio-devel libopenal-devel libXrandr-devel libXfixes-devel bzlib-devel libpcre2-devel libbrotli-devel libudev-devel libfreetype-devel libpcre-devel libxkbcommon-devel


%description
Denise is a cycle accurate and platform independant c64 / amiga (not yet) emulator.
My motivation for this project is understanding how it works and write clean and easy readable code.
New in Denise are fast loaders such as ProfDOS, PrologicDOS, DolphinDOS, ProSpeed 1571, Turbo Trans and 1571 floppy emulation.

Denise supports REU, GeoRam, EasyFlash, EasyFlash^3, Gmod2, Retro Replay,
Action Replay, Final Cartridge, Light Guns/Pens, GunStick, Mouse 1351, Mouse Neos, Paddles.
I have added runAhead, PAL and CRT emulation, FreeSync/G-Sync support,
drag'n'drop and command line support.

Denise consists of 4 main modules.
"guikit", "driver", "emulation" could be used in any other project. "program" links these modules together.


%prep
%setup

%build
%cmake
%cmake_build

%install
%cmake_install
install -D -m 0644 licence.md %buildroot%_datadir/%name/

%files
%_bindir/%name
%_datadir/%name
%_desktopdir/%name.desktop
%_iconsdir/%name.png

%changelog
