%def_disable clang

Name: dtk6log
Version: 0.0.2
Release: alt1

Summary: Deepin tool kit log modules

License: LGPL-2.1
Group: Graphical desktop/Other
Url: https://github.com/linuxdeepin/dtk6log
Vcs: git://github.com/linuxdeepin/dtk6log.git

Source: %url/archive/%version/%name-%version.tar.gz

Provides: libdtk6-log = %EVR
Obsoletes: libdtk6-log < %EVR
Provides: dtk6-log = %EVR
Obsoletes: dtk6-log < %EVR

BuildRequires(pre): rpm-build-ninja rpm-macros-dqt6
BuildRequires: cmake dqt6-base-devel libspdlog-devel
%if_enabled clang
BuildRequires: clang-devel lld-devel
%else
BuildRequires: gcc-c++
%endif

%description
Deepin tool kit log modules.

%package -n lib%{name}0
Summary: Libraries for %name
Group: System/Libraries
Requires: libdqt6-core = %_dqt6_version

%description -n lib%{name}0
Deepin tool kit log modules.
Libraries for %name.

%package -n lib%name-devel
Summary: Development package for %name
Group: Development/KDE and QT
Provides: dtk6-log-devel = %EVR
Obsoletes: dtk6-log-devel < %EVR

%description -n lib%name-devel
Header files and libraries for %name.

%prep
%setup

%build
%if_enabled clang
export CC=clang CXX=clang++ LDFLAGS="-fuse-ld=lld $LDFLAGS"
%endif

%DQ6build \
  -DMKSPECS_INSTALL_DIR=%_dqt6_mkspecsdir/modules \
  -DCMAKE_INSTALL_LIBDIR=%_lib \
  -DLIBRARY_INSTALL_DIR=%_lib \
  -DBUILD_WITH_QT6=ON \
  -DBUILD_WITH_SYSTEMD=ON \
  #

%install
%DQ6install_qt

%files -n lib%{name}0
%doc README.md LICENSE*
%_libdir/lib%name.so.0*

%files -n lib%name-devel
%_libdir/lib%name.so
%dir %_includedir/dtk6/
%dir %_includedir/dtk6/DLog/
%_includedir/dtk6/DLog/*.h
%dir %_libdir/cmake/Dtk6Log/
%_libdir/cmake/Dtk6Log/*.cmake
%_pkgconfigdir/%name.pc
%_dqt6_mkspecsdir/modules/qt_lib_dtklog.pri

%changelog
