# NOTE: do not use clean_spec or rpmcs for this spec

Name: etersoft-build-utils
Version: 3.2.14
Release: alt1

Summary: A set of rpm build utilities from Etersoft

License: Apache-2.0
Group: Development/Other
Url: http://www.altlinux.org/Etersoft-build-utils

Packager: Vitaly Lipatov <lav@altlinux.ru>

# git-clone http://git.altlinux.org/people/lav/packages/etersoft-build-utils.git
Source: ftp://updates.etersoft.ru/pub/Korinf/sources/tarball/%name-%version.tar

BuildArchitectures: noarch

%define altcompat_ver 1.9.3

# Buildreqs note: C compiler is required by rpm-build; we do not require C++ here
#BuildRequires: rpm-build-compat >= %altcompat_ver

Requires: giter >= 1.20
Requires: eepm >= 3.62.1
# use epm embedded
#Requires: erc >= 0.9.2
Requires: estrlist >= 0.2

Requires: rpm-build
#Requires: rpm-build-compat >= %altcompat_ver

%if "%_vendor" == "alt"
Requires: sisyphus_check rsync openssh-clients srpmcmp
%else
# ALT has it in RPM
BuildRoot: %{_tmppath}/%{name}-%{version}
%endif

%description
This package contains a set of helper utils for RPM building process.
See info in Russian
on %url.

RECOMMENDED packages: gcc-c++ perl-libwww ccache elinks mutt hasher curl

%prep
%setup

%build
%make

%install
# install to datadir and so on
%makeinstall
%find_lang %name

%files -f %name.lang
%doc AUTHORS README TODO NEWS QuickHelp*
%_bindir/*
%_datadir/eterbuild/
%attr(0755,root,root) %_sysconfdir/bashrc.d/*
%dir %_sysconfdir/eterbuild/
%dir %_sysconfdir/eterbuild/apt/
%dir %_sysconfdir/eterbuild/repos/
%config(noreplace) %_sysconfdir/eterbuild/apt/apt.conf.*
%config(noreplace) %_sysconfdir/eterbuild/apt/sources.list.*
%config(noreplace) %_sysconfdir/eterbuild/config
%config(noreplace) %_sysconfdir/eterbuild/repos/*

%changelog
