Name:		focuswriter
Version:	1.8.10
Release:	alt1
Summary:	FocusWriter is a fullscreen, distraction-free word processor
License:	GPLv3
Packager:	Ilya Mashkin <oddity@altlinux.ru>
Group:		Text tools
Url:		http://gottcode.org/focuswriter/
Source0:	http://gottcode.org/focuswriter/%name-%version.tar.bz2

BuildRequires:	libhunspell-devel gcc-c++ zlib-devel 
BuildRequires(pre): rpm-macros-cmake
BuildRequires: cmake rpm-macros-qt6 qt6-base-devel qt6-tools-devel qt6-multimedia-devel qt6-declarative-devel qt6-5compat-devel libicu-devel

%description
FocusWriter is a fullscreen, distraction-free word processor
designed to immerse you as much as possible in your work.
The program autosaves your progress, and reloads the last files
you had open to make it easy to jump back in during your next
writing session, and has many other features that make it such
that only one thing matters: your writing.

%prep
%setup
%ifarch %e2k
# lcc 1.23.12 doesn't grok u'’' by default
%add_optflags -finput-charset=utf8
%endif

%build
%cmake \
    -DENABLE_LTO=OFF 
%cmake_build

%install

%cmakeinstall_std
# http://altlinux.org/Icon_Paths_Policy
rm -f %buildroot%_pixmapsdir/*.xpm

%files
%_bindir/%name
%_desktopdir/%name.desktop
%_datadir/%name
%_datadir/metainfo/%name.*
%_man1dir/%name.*
%_iconsdir/hicolor/*/apps/*

%changelog
