Name: gambit-dsock
Version: 1.2
Release: alt4
Summary: UNIX domain sockets for Gambit-C Scheme programming system
License: GPLv3+
Group: Development/Scheme

Packager: Paul Wolneykien <manowar@altlinux.ru>

BuildRequires: gambit-devel glibc-devel

Source: %name-%version.tar

%description
UNIX domain sockets for Gambit-C Scheme programming system

%package devel
Summary: UNIX domain sockets for Gambit-C Scheme programming system
Group: Development/Scheme
Requires: %name = %version-%release
BuildArch: noarch

%description devel
UNIX domain sockets for Gambit-C Scheme programming system

This package contains the library link file

%prep
%setup -q

%build
%add_optflags -Wno-discarded-qualifiers -Wno-incompatible-pointer-types
%make_build CFLAGS='%optflags'

%install
%makeinstall

%check
%make check

%files
%{_libdir}/gambit/*.so

%files devel
%{_includedir}/gambit/*.c

%changelog
