%define gimphelpdir %_datadir/gimp/3.0/help

Name: gimp-help
Version: 2.99.0
Release: alt1
Summary: Help files for the GIMP
License: GFDL-1.2
Group: Graphics

Url: http://docs.gimp.org/
Source0: https://download.gimp.org/mirror/pub/gimp/help/%name-%version.tar.xz

Requires: gimp >= 3.0
BuildArch: noarch

BuildRequires: intltool libgimp-devel xsltproc pngcrush python3-module-libxml2 docbook-style-xsl dblatex librsvg-utils gnome-doc-utils gettext

%description
GIMP-Help is a help system designed for use with the internal GIMP 2
help browser, external web browser and HTML renderers, and human
eyeballs.

%package en
Summary: English help files for the GIMP
Group: Graphics
Obsoletes: %name-common < %version-%release

%description en
English help files for the GIMP.

%package de
Summary: German help files for the GIMP
Group: Graphics
Obsoletes: %name-common < %version-%release

%description de
German help files for the GIMP.

%package fr
Summary: French help files for the GIMP
Group: Graphics
Obsoletes: %name-common < %version-%release

%description fr
French help files for the GIMP.

%package ru
Summary: Russian help files for the GIMP
Group: Graphics
Obsoletes: %name-common < %version-%release

%description ru
Russian help files for the GIMP.

%prep
%setup -q

%build
export ALL_LINGUAS="de en fr ru"
%configure
%make

%install
%make DESTDIR=%buildroot install
rm -fr %buildroot%gimphelpdir/pdf

%files en
%dir %gimphelpdir
%gimphelpdir/en

%files de
%dir %gimphelpdir
%gimphelpdir/de

%files fr
%dir %gimphelpdir
%gimphelpdir/fr

%files ru
%dir %gimphelpdir
%gimphelpdir/ru

%changelog
