%define _unpackaged_files_terminate_build 1
%define import_path golang.org/x/tools/gopls

Name: gopls
Version: 0.18.1
Release: alt1

Summary: The Go language server
License: BSD-3-Clause
Group: Development/Other
Url: https://pkg.go.dev/golang.org/x/tools/gopls
Vcs: https://cs.opensource.google/go/x/tools

ExclusiveArch: %go_arches

Source0: %name-%version.tar
Source1: %name-%version-vendor.tar
Patch0: %name-%version-alt.patch

Requires: golang

BuildRequires(pre): rpm-build-golang

%description
Gopls (pronounced "go please") is an LSP server for Go. The Language
Server Protocol allows any text editor to be extended with IDE-like
features; see https://langserver.org/ for details.

See https://github.com/golang/tools/blob/master/gopls/README.md for
the most up-to-date documentation.

%prep
%setup -a1
%autopatch -p1

%build
export BUILDDIR="$PWD/.build"
export IMPORT_PATH="%import_path"
export GOPATH="$BUILDDIR:%go_path"
%golang_prepare

cd .build/src/%import_path
export LDFLAGS="-X main.version=%version"
%golang_build .

%install
export BUILDDIR="$PWD/.build"
export IGNORE_SOURCES=1
%golang_install

%files
%_bindir/*

%changelog
