%def_disable snapshot
%define _name cosmic-icons
%define ver_major 1.0
%define beta .alpha.6

%def_disable check

Name: icon-theme-cosmic
Version: %ver_major.0
Release: alt0.60%beta

Summary: COSMIC Icons
License: CC-BY-SA-4.0
Group: Graphical desktop/Other
Url: https://github.com/pop-os/cosmic-icons

Vcs: https://github.com/pop-os/cosmic-icons.git

BuildArch: noarch

Provides: %_name = %EVR

%define git_ver epoch-%version%(echo %beta|sed 's/^\./-/')
%if_disabled snapshot
Source: %url/archive/%git_ver/%_name-%version%beta.tar.gz
%else
Source: %_name-%version%beta.tar
%endif

BuildRequires(pre): rpm-build-rust
BuildRequires: just
BuildRequires: /usr/bin/appstreamcli /usr/bin/desktop-file-validate

%description
Icons for the COSMIC desktop environment.

%prep
%setup -n %_name-%{?_enable_snapshot:%version%beta}%{?_disable_snapshot:%git_ver}

%install
just rootdir=%buildroot install

%files
%_iconsdir/Cosmic/
%doc README*

%changelog
