Name: installer-scripts-remount-stage2
Version: 0.6.6
Release: alt1

Summary: Shared installer scripts: remount
License: GPLv2+
Group: System/Configuration/Other

Url: http://www.altlinux.org/Installer
Source: %name-%version.tar
BuildArch: noarch
Requires: sfdisk

Conflicts: installer-common-stage2 < 1.8.11-alt1

%description
This package contains shared installer scripts,
namely a script to remount filesystems after
employing EVMS to partition and mkfs them
so that preinstall/postinstall scripts would
work in block device and devmapper environment
that's close to the target system's one.

%prep
%setup

%install
# a single script is not worth two makefiles yet
install -pDm755 scripts/install2-remount-functions \
	%buildroot%_sbindir/install2-remount-functions

install -pDm755 initinstall/stop-md-dm.sh \
	%buildroot%_datadir/install2/initinstall.d/80-stop-md-dm.sh

cat << __EOF__ > %buildroot%_datadir/install2/initinstall.d/85-start-multipath.sh
#!/bin/sh

. install2-remount-functions

start_multipath

:
__EOF__

%files
%_sbindir/*
%_datadir/install2/initinstall.d/80-stop-md-dm.sh
%attr(0755,root,root) %_datadir/install2/initinstall.d/85-start-multipath.sh

%changelog
