Name: libavif
Version: 1.2.0
Release: alt1

Summary: Implementation of the AV1 Image File Format
License: BSD
Group: System/Libraries
Url: https://github.com/AOMediaCodec/libavif

Source: %name-%version-%release.tar

BuildRequires: cmake gcc-c++
BuildRequires: pkgconfig(libyuv)
BuildRequires: pkgconfig(dav1d)
BuildRequires: pkgconfig(rav1e)

%package devel
Summary: Implementation of the AV1 Image File Format
Group: Development/C

%define desc\
This library aims to be a friendly, portable C implementation\
of the AV1 Image File Format, as described here:\
https://aomediacodec.github.io/av1-avif/

%description %desc

%description devel %desc
this package contains development part of libavif

%prep
%setup

%build
%cmake -DAVIF_CODEC_DAV1D=ON -DAVIF_CODEC_RAV1E=ON
%cmake_build

%install
%cmakeinstall_std

%files
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/cmake/libavif
%_pkgconfigdir/*

%changelog
