%define sover 349

Name: libplacebo
Version: 7.349.0
Release: alt0.1
Summary: libplacebo is essentially the core rendering algorithms and ideas of mpv turned into a library
Group: System/Libraries
License: LGPL-2.1+
Url: https://github.com/haasn/libplacebo
Source0: %url/%name/archive/v%version/%name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): meson
BuildRequires: libshaderc-devel libvulkan-devel python3-module-jinja2 python3-module-glad2 liblcms2-devel gcc-c++ libxxhash-devel >= 0.8.1
%ifnarch %e2k
BuildRequires: libunwind-devel libdovi-devel
%endif
BuildRequires: libfast_float-devel

%description
libplacebo is essentially the core rendering algorithms and ideas of mpv turned
into a library.

%package -n %{name}%{sover}
Summary: %name is essentially the core rendering algorithms and ideas of mpv turned into a library
Group: System/Libraries

%description -n %{name}%{sover}
libplacebo is essentially the core rendering algorithms and ideas of mpv turned
into a library.

%package -n %name-devel
Summary: Development files for %name
Group: Development/C
Requires: %{name}%{sover} = %EVR

%description -n %name-devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%prep
%setup
%patch -p1

%build
%meson

%install
%meson_install

%files -n %{name}%{sover}
%_libdir/%name.so.%{sover}

%files -n %name-devel
%_includedir/*
%_libdir/%name.so
%_pkgconfigdir/%name.pc

%changelog
