# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: lxqt-qtplugin-qt6
Version: 2.1.0
Release: alt3

Summary: LxQt platform integration plugin for Qt
License: LGPL-2.1
Group: Graphical desktop/Other

Url: https://github.com/lxqt/lxqt-qtplugin
Source: %name-%version.tar

BuildRequires(pre): rpm-macros-cmake
BuildRequires(pre): rpm-macros-qt6
BuildRequires: gcc-c++ cmake
BuildRequires: liblxqt-devel >= 2.1.0
BuildRequires: qt6-base-devel qt6-tools-devel
BuildRequires: libqt6xdg-devel
BuildRequires: libdbusmenu-lxqt-devel
BuildRequires: libfm-qt6-devel

Requires: libqt6-core = %_qt6_version
Obsoletes: lxqt-qtplugin <= %EVR
Provides: lxqt-qtplugin = %EVR

%description
%summary.

%prep
%setup

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%_libdir/qt6/plugins/platformthemes/libqtlxqt.so
%doc AUTHORS CHANGELOG LICENSE README.md

%changelog
