Name: lziprecover
Version: 1.25
Release: alt1

Summary: LZMA compressed file recovery
License: GPLv3+
Group: Archiving/Compression

Url: http://savannah.nongnu.org/projects/lzip/
Source0: http://download.savannah.gnu.org/releases/lzip/%{name}-%{version}.tar.gz
Source100: lziprecover.watch
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Sun Sep 20 2009
BuildRequires: gcc-c++ lzip
# explicitly added texinfo for info files
BuildRequires: texinfo

%description
Lzip is a lossless file compressor based on the LZMA
(Lempel-Ziv-Markov chain-Algorithm) algorithm designed by Igor Pavlov.

This package contains the recovery utility for LZMA archives.

%prep
%setup

%build
%configure
make all info

%install
%makeinstall_std install-man

%files
%doc AUTHORS ChangeLog NEWS README
%_bindir/%name
%_man1dir/%name.1*
%_infodir/%name.info*

%changelog
