Name: lzlib
Version: 1.15
Release: alt1

Summary: Provides in-memory LZMA (de)compression functions
License: GPLv3+
Group: System/Libraries

URL: http://savannah.nongnu.org/projects/lzip
Source: http://download.savannah.gnu.org/releases/lzip/lzlib-%version.tar.gz
Source100: lzlib.watch
# explicitly added texinfo for info files
BuildRequires: texinfo

%description
The lzlib compression library provides in-memory LZMA compression and
decompression functions, including integrity checking of the decompressed data.
The compressed data format used by the library is the lzip format.

%package devel
Summary: Development tools for programs which will use the %name library
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package includes the files necessary for developing programs
which will use the %name library.

%prep
%setup

%build
sed -i 's/ ldconfig/ true/' Makefile.in
./configure --prefix=%_usr --libdir=%_libdir --enable-shared CFLAGS="%optflags"
%make_build
make check

%install
%makeinstall_std
rm -fv %buildroot%_libdir/*.a

%files
%_libdir/lib*.so.*

%files devel
%_includedir/*
%_libdir/lib*.so
%_infodir/*.info*

%changelog
