Name: ncftp
Version: 3.2.7
Release: alt2
Serial: 1

Packager: Ilya Mashkin <oddity at altlinux dot ru>

Summary: An improved FTP client
Summary(ru_RU.KOI8-R):  FTP 
License: Artistic
Group: Networking/File transfer
Url: http://www.NcFTP.com/

Source0: %name-%version-src.tar.xz
Source2: %name-16.png.bz2
Source3: %name-32.png.bz2
Source4: %name-48.png.bz2

#Patch0: ncftp-confirm.patch.bz2
#Patch1: ncftp-3.1.6-DESTDIR.patch.bz2
#Patch2: ncftp-3.0.3-resume.patch.bz2
#Patch3: ncftp-3.0.3-suspend.patch.bz2
#Patch4: ncftp-3.1.1-EPLF.diff.bz2


Patch1: ncftp-3.0.1-pref.patch
Patch2: ncftp-3.0.3-resume.patch
Patch3: ncftp-3.1.5-pmeter.patch
Patch4: ncftp-3.1.5-ncursesw.patch
Patch5: ncftp-3.2.2-no_lfs64_source.patch

Patch7:		ncftp-3.2.6-EPLF.diff
Patch8:		ncftp-3.2.3-fix-help-cmd.patch
Patch9:         ncftp-3.2.6-gcc10.patch

# Automatically added by buildreq on Sun Feb 06 2005
BuildRequires: libncurses-devel libtinfo-devel gcc13

%description
Ncftp is an improved FTP client.  Ncftp's improvements include support
for command line editing, command histories, recursive gets, automatic
anonymous logins and more.

%description -l ru_RU.KOI8-R
NcFTP -    FTP .     
  ,   , 
   FTP    .

%prep
%setup -q
#patch0 -p0 -b .confirm 
#patch1 -p1
#patch2 -p1 -b .res
##patch3 -p1 -b .suspend
#patch4 -p1 -b .eplf

#patch1 -p0 -b .pref
#patch2 -p1 -b .res
#patch3 -p1 -b .pmeter
#patch4 -p1 -b .ncursesw
#patch5 -p0 -b .no_lfs64_source
#patch7 -p0 -b .eplf
#patch8 -p1 -b .help
#patch9 -p1 -b .gcc10


%build
%set_gcc_version 13
%configure --enable-signals --enable-ipv6
%make_build

%install
mkdir -p %buildroot/{%_bindir,%_man1dir}
%makeinstall BINDIR=$RPM_BUILD_ROOT%_bindir


# icon
mkdir -p %buildroot/{%_miconsdir,%_liconsdir,%_niconsdir}
bzcat %SOURCE2 > $RPM_BUILD_ROOT%_miconsdir/%name.png
bzcat %SOURCE3 > $RPM_BUILD_ROOT%_niconsdir/%name.png
bzcat %SOURCE4 > $RPM_BUILD_ROOT%_liconsdir/%name.png

mkdir -p %buildroot{%_niconsdir,%_miconsdir,%_liconsdir}
mkdir -p %buildroot%_desktopdir
cat > %buildroot%_desktopdir/%name.desktop <<EOF
[Desktop Entry]
Version=1.0
Type=Application
Name=NCFtp
Comment=An improved FTP client.
Icon=%name
Exec=%name
Terminal=true
Categories=Network;FileTransfer;
EOF

find doc -type f -exec chmod 0644 {} \;


%files
%doc doc/*.txt
%_desktopdir/%name.desktop
%_bindir/*
%_mandir/*/*

%_miconsdir/%name.png
%_niconsdir/%name.png
%_liconsdir/%name.png

%changelog
