%define node_module typescript

%filter_from_requires /^nodejs.engine./d
%{?nodejs_find_provides_and_requires}

Name: node-typescript
Version: 5.7.3
Release: alt1

Summary: TypeScript is a language for application scale JavaScript development

License: Apache License 2.0
Group: Development/Other
Url: http://www.typescriptlang.org

# Source-url: https://github.com/Microsoft/TypeScript/archive/v%version.tar.gz
Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar

BuildArch: noarch
BuildRequires: rpm-build-nodejs node
BuildRequires(pre): rpm-macros-nodejs

# due /usr/bin/env in bin scripts
Requires: node

Provides: nodejs-%node_module = %version-%release
Obsoletes: nodejs-%node_module < %version
Provides: %node_module = %version-%release
Obsoletes: %node_module < %version

%description
TypeScript is a free and open source programming language developed by Microsoft.
 It is a strict superset of JavaScript, and essentially adds optional static
typing and class-based object oriented programming to the language.
%prep
%setup

%build
%check

%install
mkdir -p %buildroot%_bindir
mkdir -p %buildroot%nodejs_sitelib/%node_module
chmod a+x bin/*
cp -rp bin lib package.json %buildroot/%nodejs_sitelib/%node_module

ln -s %nodejs_sitelib/%node_module/bin/tsc %buildroot%_bindir
ln -s %nodejs_sitelib/%node_module/bin/tsserver %buildroot%_bindir

%nodejs_symlink_deps

%files
%doc LICENSE.txt CONTRIBUTING.md README.md ThirdPartyNoticeText.txt
%_bindir/tsc
%_bindir/tsserver
%nodejs_sitelib/%node_module/

%changelog
