%define _unpackaged_files_terminate_build 1

Name: procs
Version: 0.14.8
Release: alt2

Summary: A replacement for ps written in Rust
License: MIT
Group: Monitoring
Url: https://crates.io/crates/procs
Vcs: https://github.com/dalance/procs

Source0: %name-%version.tar
Source1: vendor.tar
Source2: config.toml

Patch0: procs-0.14.8-nix-crate-loongarch64.patch

BuildRequires(pre): rpm-build-rust
BuildRequires: rust
BuildRequires: rust-cargo
BuildRequires: /proc

%description
%summary.

%prep
%setup -a 1

install -Dm 644 %SOURCE2 .cargo/config.toml

%patch0 -p1
sed -i -e 's/"files":{[^}]*}/"files":{}/' \
        ./vendor/nix-0.26.4/.cargo-checksum.json

%build
%rust_build

%install
%rust_install

%files
%_bindir/%name
%doc README.md CHANGELOG.md

%changelog
