
Name: pve-storage-linstor
Version: 8.1.0
Release: alt1

Summary: LINSTOR Proxmox Plugin
Group: System/Servers
License: GPLv2+

Url: https://github.com/LINBIT/linstor-proxmox
Vcs: https://github.com/LINBIT/linstor-proxmox.git

Source: %name-%version.tar

ExclusiveArch: x86_64 aarch64

BuildRequires(pre): rpm-build-perl
BuildRequires: pve-storage
BuildRequires: perl-JSON-XS
BuildRequires: perl(REST/Client.pm)
Requires: pve-manager
Requires: linstor-controller >= 1.27.0
# Requires: linstor-satellite >= 1.23.0

%add_perl_lib_path %buildroot%perl_vendor_privlib

%description
LINSTOR Proxmox Plugin.

%prep
%setup

%build
#Empty build

%install
	install -D -m 0644 ./LINSTORPlugin.pm %buildroot%perl_vendor_privlib/PVE/Storage/Custom/LINSTORPlugin.pm
	install -D -m 0644 ./LINBIT/Linstor.pm %buildroot%perl_vendor_privlib/LINBIT/Linstor.pm
	install -D -m 0644 ./LINBIT/PluginHelper.pm %buildroot%perl_vendor_privlib/LINBIT/PluginHelper.pm
	mkdir -p %buildroot%_cachedir/linstor-proxmox

%post
/sbin/service pvedaemon condrestart ||:

%postun
if [ $1 = 0 ]; then
    /sbin/service pvedaemon condrestart ||:
fi

%files
%doc README.md debian/copyright
%dir %perl_vendor_privlib/PVE/Storage/Custom
%perl_vendor_privlib/PVE/Storage/Custom/LINSTORPlugin.pm
%dir %perl_vendor_privlib/LINBIT
%perl_vendor_privlib/LINBIT/Linstor.pm
%perl_vendor_privlib/LINBIT/PluginHelper.pm
%_cachedir/linstor-proxmox/

%changelog
