%define oname Ming

%def_without check

Name: python3-module-%oname
Version: 0.15.2
Release: alt1

Summary: Bringing order to Mongo since 2009
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/Ming/
Vcs: https://github.com/TurboGears/Ming

Source: %name-%version.tar

BuildArch: noarch
# mapping from PyPI name
# https://www.altlinux.org/Management_of_Python_dependencies_sources#Mapping_project_names_to_distro_names
Provides: python3-module-%{pep503_name %oname} = %EVR

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
%if_with check
BuildRequires: python3-module-pymongo
BuildRequires: python3-module-pytz
%endif

%description
Database mapping layer for MongoDB on Python. Includes schema
enforcement and some facilities for schema migration.

%package tests
Summary: Tests for Bringing order to Mongo since 2009
Group: Development/Python3
Requires: %name = %version-%release

%description tests
Database mapping layer for MongoDB on Python. Includes schema
enforcement and some facilities for schema migration.

This package contains tests for Ming.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_unittest

%files
%doc *.rst *.txt
%python3_sitelibdir/ming
%python3_sitelibdir/%oname-%version.dist-info
%exclude %python3_sitelibdir/*/tests

%files tests
%python3_sitelibdir/*/tests


%changelog
