%define oname TurboGears2

Name: python3-module-%oname
Version: 2.5.0
Release: alt1

Summary: Next generation TurboGears

License: MIT
Group: Development/Python
Url: https://pypi.org/project/TurboGears2
Vcs: https://github.com/TurboGears/tg2

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

Source: %name-%version.tar

%description
TurboGears is a hybrid web framework able to act both as a Full Stack framework
or as a Microframework. TurboGears helps you get going fast and gets out of your
way when you want it!

TurboGears can be used both as a full stack framework or as a microframework in
single file mode.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%files
%doc README.*
%python3_sitelibdir/tg
%python3_sitelibdir/%oname-%version.dist-info

%changelog
