%define _unpackaged_files_terminate_build 1
%define oname aioxmlrpc

%def_with check

Name: python3-module-%oname
Version: 0.9.1
Release: alt1
Summary: XML-RPC for asyncio
License: BSD-3-Clause
Group: Development/Python3
Url: https://pypi.org/project/aioxmlrpc
Vcs: https://github.com/mardiros/aioxmlrpc.git
Source: %name-%version.tar
BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-pdm-backend
%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-httpx
BuildRequires: python3-module-pytest-asyncio
%endif

%py3_provides %oname

%description
Asyncio version of the standard lib xmlrpc.

Currently only aioxmlrpc.client, which works like xmlrpc.client but with
coroutine is implemented.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -v

%files
%doc LICENSE README.*
%python3_sitelibdir/%oname
%python3_sitelibdir/%{pyproject_distinfo %oname}
%exclude %python3_sitelibdir/CHANGELOG.rst
%exclude %python3_sitelibdir/CONTRIBUTORS.rst

%changelog
