%define  modulename arabic-reshaper

%def_with check

Name:    python3-module-%modulename
Version: 3.0.0
Release: alt2.1

Summary: Python module for formatting Arabic sentences

License: MIT
Group:   Development/Python3
URL:     https://github.com/mpcabd/python-arabic-reshaper

Source:  %name-%version.tar

Packager: Grigory Ustinov <grenka@altlinux.org>

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-wheel
BuildRequires: python3-module-setuptools
%if_with check
BuildRequires: python3-module-pytest
%endif

BuildArch: noarch

%description
A module for reconstructing Arabic sentences that are to be used in
applications that do not support Arabic.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_check_pyproject

%files
%doc LICENSE *.md
%python3_sitelibdir/arabic_reshaper
%python3_sitelibdir/arabic_reshaper-%version.dist-info

%changelog
