%define  modulename cypari2

Name:    python3-module-%modulename
Version: 2.2.1
Release: alt1

Summary: Python interface to the number theory library PARI/GP
License: GPL-2.0
Group:   Development/Python3
URL:     https://pypi.org/project/cypari2
VCS:     https://github.com/sagemath/cypari2

Packager: Andrey Cherepanov <cas@altlinux.org>

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
BuildRequires: python3-module-Cython
BuildRequires: python3-module-cysignals
BuildRequires: pari-devel
BuildRequires: pari-gp
BuildRequires: libgmp-devel

Source: %modulename-%version.tar

%description
A Python interface to the number theory library PARI/GP.

%prep
%setup -n %modulename-%version

%build
%pyproject_build

%install
%pyproject_install

%files
%doc README.rst
%python3_sitelibdir/%modulename
%python3_sitelibdir/%modulename-%version.dist-info

%changelog
