%define  oname faker

%def_with check

Name:    python3-module-%oname
Version: 36.1.1
Release: alt1

Summary: Faker is a Python package that generates fake data for you.

License: MIT
Group:   Development/Python3
URL:     https://pypi.org/project/Faker
VCS:     https://github.com/joke2k/faker

Packager: Grigory Ustinov <grenka@altlinux.org>

BuildArch: noarch

Source:  %name-%version.tar

BuildRequires(pre): rpm-build-python3

%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-dateutil
BuildRequires: python3-module-text-unidecode
BuildRequires: python3-module-validators
BuildRequires: python3-module-freezegun
BuildRequires: python3-module-random2
BuildRequires: python3-module-typing-extensions
%endif

%description
%summary

%prep
%setup

%build
%python3_build

%install
%python3_install

%check
export PYTHONPATH=%buildroot%python3_sitelibdir
# Exclude tests that require the faker.sphinx module
py.test3 --ignore-glob='tests/sphinx/*'

%files
%doc LICENSE.txt *.rst *.md
%_bindir/%oname
%python3_sitelibdir/%oname/
%python3_sitelibdir/Faker-%version-py%_python3_version.egg-info

%changelog
