Name:    python3-module-google-api-core
Version: 2.24.1
Release: alt1

Summary: Core Library for Google Client Libraries
License: Apache-2.0
Group:   Development/Python3
URL:     https://github.com/googleapis/python-api-core

Packager: Andrey Cherepanov <cas@altlinux.org>

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-dev python3-module-setuptools

BuildArch: noarch

Source: python-api-core-%version.tar

%description
%summary

This library is not meant to stand-alone. Instead it defines common
helpers used by all Google API clients. For more information, see the
documentation at https://googleapis.dev/python/google-api-core/latest.

%prep
%setup -n python-api-core-%version

%build
%python3_build

%install
%python3_install

%files
%doc README.rst
%python3_sitelibdir/google/api_core
%python3_sitelibdir/*.egg-info

%changelog
