Name: python3-module-holidays
Version: 0.64
Release: alt1

Summary: Holidays calculator
License: BSD
Group: Development/Python
Url: https://pypi.org/project/holidays/

Source0: %name-%version-%release.tar
Source1: pyproject_deps.json

BuildArch: noarch
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%pyproject_builddeps_metadata
%pyproject_builddeps_check

%description
A fast, efficient Python library for generating country, province and state
specific sets of holidays on the fly. It aims to make determining whether
a specific date is a holiday as fast and flexible as possible.

%prep
%setup
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%pyproject_deps_resync_check_pipreqfile requirements/tests.txt

%build
%pyproject_build

%install
%pyproject_install

%check
scripts/l10n/generate_mo_files.py
%pyproject_run_pytest tests/countries

%files
%python3_sitelibdir/holidays
%python3_sitelibdir/holidays-%version.dist-info

%changelog
