%define  oname identify

%def_with check

Name:    python3-module-%oname
Version: 2.6.8
Release: alt1

Summary: File identification library for Python

License: MIT
Group:   Development/Python3
URL:     https://pypi.org/project/identify
VCS:     https://github.com/pre-commit/identify

Packager: Grigory Ustinov <grenka@altlinux.org>

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

BuildArch: noarch

Source:  %name-%version.tar

%if_with check
BuildRequires: python3-module-coverage
BuildRequires: python3-module-covdefaults
BuildRequires: python3-module-ukkonen
BuildRequires: python3-module-cffi
BuildRequires: python3-module-pytest
%endif

%description
%summary

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_check_pyproject

%files
%doc LICENSE *.md
%_bindir/identify-cli
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info

%changelog
