Name: python3-module-jinja2
Version: 3.1.5
Release: alt1

Summary: The new and improved version of a small but fast template engine
License: BSD
Group: Development/Python3
Url: https://pypi.org/project/Jinja2/

# https://github.com/mitsuhiko/jinja2.git
Source0: %name-%version.tar
Source1: pyproject_deps.json

BuildArch: noarch
BuildRequires(pre): rpm-build-pyproject
BuildRequires: python3(pytest)
%pyproject_builddeps_build
%pyproject_builddeps_check
%pyproject_builddeps_metadata

%description
Jinja2 is a template engine written in pure Python. It provides a Django
inspired non-XML syntax but supports inline expressions and an optional
sandboxed environment.

%prep
%setup
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%pyproject_deps_resync_check_pipreqfile requirements/tests.txt

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest tests

%files
%python3_sitelibdir/jinja2
%python3_sitelibdir/jinja2-%version.dist-info

%changelog
