%define _unpackaged_files_terminate_build 1
%define pypi_name more-itertools

Name: python3-module-%pypi_name
Version: 10.6.0
Release: alt1
Summary: More routines for operating on iterables, beyond itertools
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/more-itertools/
VCS: https://github.com/more-itertools/more-itertools
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
# wellknown PyPI name
%py3_provides %pypi_name
Provides: python3-module-more_itertools = %EVR
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata
%endif

%description
Python's itertools library is a gem - you can compose elegant solutions
for a variety of problems with the functions it provides. In
more-itertools we collect additional building blocks, recipes, and
routines for working with Python iterables.

%prep
%setup
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_unittest

%files
%python3_sitelibdir/more_itertools/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
