%define _unpackaged_files_terminate_build 1
%define pypi_name path

%def_with check

Name: python3-module-%pypi_name
Version: 17.1.0
Release: alt1
Summary: A module wrapper for os.path
License: MIT
Group: Development/Python
Url: https://pypi.org/project/path/
VCS: https://github.com/jaraco/path
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch: %name-%version-alt.patch
%py3_provides %pypi_name
Provides: python3-module-path.py = %EVR
Obsoletes: python3-module-path.py < %EVR
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata_extra test
%endif

%description
path implements a path objects as first-class entities, allowing
common operations on files to be invoked on those path objects directly.

%prep
%setup
%patch -p1
%pyproject_scm_init
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -ra -Wignore

%files
%doc *.rst
%python3_sitelibdir/path/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
