%define oname phonenumbers

%def_with check

Name: python3-module-%oname
Version: 8.13.55
Release: alt1

Summary: Python port of Google's libphonenumber

License: Apache-2.0
Group: Development/Python3
URL: https://pypi.org/project/phonenumbers
VCS: https://github.com/daviddrysdale/python-phonenumbers

BuildArch: noarch

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%py3_provides %oname

%description
Python version of Google's common library for parsing, formatting,
storing and validating international phone numbers.

%prep
%setup

%build
pushd python
%pyproject_build
popd

%install
pushd python
%pyproject_install
popd

%check
pushd python
python3 testwrapper.py
popd

%files
%doc LICENSE *.md python/HISTORY.md
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info

%changelog
