%define pypi_name proto-plus

%def_without check

Name:    python3-module-%pypi_name
Version: 1.26.0
Release: alt1

Summary: Beautiful, idiomatic protocol buffers in Python
License: Apache-2.0
Group:   Development/Python3
URL:     https://github.com/googleapis/proto-plus-python

Packager: Andrey Cherepanov <cas@altlinux.org>

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel python3-module-setuptools python3-module-wheel

BuildArch: noarch

Source: %pypi_name-%version.tar

%description
%summary

%prep
%setup -n %pypi_name-%version

%build
%pyproject_build

%install
%pyproject_install

%check
#%%tox_create_default_config
%tox_check_pyproject

%files
%doc *.md
%python3_sitelibdir/proto
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}

%changelog
