%define _unpackaged_files_terminate_build 1
%define oname pyalsa

Name: python3-module-%oname
Version: 1.2.12
Release: alt1

Summary: Official ALSA Python Binding
License: LGPLv2.1+
Group: Development/Python3

Url: http://www.alsa-project.org
VCS: https://github.com/alsa-project/alsa-python
Source: %name-%version.tar
Patch0: %name-%version-alt.patch

BuildRequires: rpm-macros-python3
BuildRequires: rpm-build-python3
BuildRequires: libalsa-devel

%description
Python binding for the ALSA library.

%prep
%setup
%patch0 -p1

%build
%python3_build

%install
%python3_install

%files
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version-*.egg-info

%changelog
