%define  oname pytest-subtests

%def_with check

Name:    python3-module-%oname
Version: 0.14.1
Release: alt1

Summary: Support for unittest subTest() and subtests fixture

License: MIT
Group:   Development/Python3
URL:     https://pypi.org/project/pytest-subtests
VCS:     https://github.com/pytest-dev/pytest-subtests

Packager: Grigory Ustinov <grenka@altlinux.org>

BuildRequires(pre): rpm-build-python3

BuildRequires: python3-module-setuptools
BuildRequires: python3-module-setuptools_scm
BuildRequires: python3-module-wheel

%if_with check
BuildRequires: python3-module-attrs
BuildRequires: python3-module-pytest
BuildRequires: python3-module-pytest-xdist
%endif

BuildArch: noarch

Source:  %name-%version.tar

%description
%summary

%prep
%setup

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
%pyproject_build

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
%pyproject_install

%check
export PYTHONPATH=%buildroot%python3_sitelibdir
py.test-3

%files
%doc LICENSE *.rst
%python3_sitelibdir/pytest_subtests
%python3_sitelibdir/pytest_subtests-%version.dist-info

%changelog
