%define _unpackaged_files_terminate_build 1

%define pypi_name sybil
%define mod_name %pypi_name

%def_with check

Name: python3-module-%pypi_name
Version: 9.1.0
Release: alt1
Summary: Automated testing for the examples in your documentation
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/sybil/
Vcs: https://github.com/simplistix/sybil
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata_extra test
%endif

%description
Automated testing for the examples in your documentation.

%prep
%setup
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -ra -Wignore

%files
%doc README.rst
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
