BuildRequires: desktop-file-utils

Name:		rpminstall
Version:	1.1.4
Release:	alt2
Summary:	Graphical application for install RPM packages using apt-get

License:	GPL
Group:		System/Configuration/Packaging
URL:		http://www.altlinux.org/Rpminstall

Packager:   	Andrey Cherepanov <cas@altlinux.org>

Source0:	%name-%version.tar.gz

BuildRequires: gcc-c++ qt5-base-devel qt5-tools
Requires: packageinstall

%description
Graphical application for install RPM packages using apt-get.

%prep
%setup -q
export PREFIX=%_prefix
%qmake_qt5 %name.pro

%build
%make_build
lrelease-qt5 %name.pro

%install
%installqt5
install -Dm644 apturl.js %buildroot%_libdir/firefox/defaults/preferences/apturl.js
desktop-file-install --dir %buildroot%_desktopdir \
	--remove-category=Utility \
	--add-category=Settings \
	--add-category=PackageManager \
	%buildroot%_desktopdir/rpminstall.desktop
for f in *.qm; do install -m 0644 $f %buildroot/%_datadir/apps/%name/ ||: ; done

%files
%doc AUTHORS README
%_bindir/%name
%dir %_datadir/apps/%name/
%_datadir/apps/%name/*
%_desktopdir/%name.desktop
%_datadir/services/apt.protocol
%_iconsdir/hicolor/128x128/apps/%name.png
%_libdir/firefox/defaults/preferences/apturl.js

%changelog
