%define _unpackaged_files_terminate_build 1

Name: rtorrent
Version: 0.15.1
Release: alt1

Summary: rTorrent - rakshasa's ncurses BitTorrent client using librTorrent
Group: Networking/File transfer
License: GPLv2
Url: https://github.com/rakshasa/rtorrent/wiki

# https://github.com/rakshasa/rtorrent.git
Source: %name-%version.tar

Patch: %name-fix-ax-define.patch

BuildRequires: gcc-c++ libcurl-devel libidn-devel libncursesw-devel libsigc++2.0-devel libssl-devel libstdc++-devel libtinfo-devel zlib-devel
BuildRequires: cppunit-devel
BuildRequires: libxmlrpc-devel >= 0.12.2 libxml2-devel
BuildRequires: libtorrent-devel >= %version

%description
rTorrent is a ncurses based client and is therefor ideal to use with
screen. rTorrent features:

* Use an URL or file path to add torrents at runtime.
* Emacs'ish find-file support for opening torrents.
* Stop/delete/resume torrents.
* Optionally loads/saves/deletes torrents automatically in a session
  directory.
* Safe fast resume support.
* Shows lots of information about peers and the torrent.
* Only one torrent at a time is checked.

%prep
%setup
mv -f COPYING COPYING.orig
ln -s $(relative %_licensedir/GPL-2 %_docdir/%name/COPYING) COPYING
#%%patch -p1

%build
%autoreconf
%configure --with-xmlrpc-c
%make_build

%install
%makeinstall_std

%files
%doc AUTHORS doc/rtorrent.rc
%_bindir/%name

%changelog
