%define _unpackaged_files_terminate_build 1
%define xdg_name org.adishatz.Screenshot

Name: screenshot
Version: 0.7.1
Release: alt1

Summary: A screenshot app for GNOME based desktops
License: GPL-3.0
Group: Graphical desktop/GNOME
Url: https://gitlab.gnome.org/gnumdk/screenshot
VCS: https://gitlab.gnome.org/gnumdk/screenshot

Source0: %name-%version.tar

BuildRequires(pre): rpm-macros-meson
BuildRequires: meson
BuildRequires: cmake
BuildRequires: blueprint-compiler
BuildRequires: desktop-file-utils
BuildRequires: libgtk4-devel
BuildRequires: libadwaita-gir-devel
BuildRequires: libadwaita-devel
BuildRequires: libportal-devel
BuildRequires: libportal-gtk4-devel

%description
%summary.

%prep
%setup

%build
%meson
%meson_build

%install
%meson_install
%find_lang %name

%files -f %name.lang
%_bindir/%xdg_name
%_datadir/glib-2.0/schemas/%xdg_name.gschema.xml
%_desktopdir/%xdg_name.desktop
%_datadir/metainfo/%xdg_name.metainfo.xml
%_iconsdir/hicolor/*/apps/*.svg

%changelog
