Name: supertuxkart-data
Version: 1.5
Release: alt0.1.beta1

License: GPL-3.0-or-later and CC-BY-SA-3.0 and CC-BY-SA-4.0
Url: http://supertuxkart.sourceforge.net
Summary: SuperTuxKart is a kart racing game
Group: Games/Arcade
BuildArch: noarch

# svn checkout https://svn.code.sf.net/p/supertuxkart/code/stk-assets stk-assets
Source: %name-%version.tar.xz

%description
SuperTuxCart is a kart racing game

This package contains game data assets

%prep
%setup

%build

%install
# The package contains a CVS/.svn/.git/.hg/.bzr/_MTN directory of revision control system.
# It was most likely included by accident since CVS/.svn/.hg/... etc. directories 
# usually don't belong in releases. 
# When packaging a CVS/SVN snapshot, export from CVS/SVN rather than use a checkout.
find $RPM_BUILD_ROOT -type d \( -name 'CVS' -o -name '.svn' -o -name '.git' -o -name '.hg' -o -name '.bzr' -o -name '_MTN' \) -print -exec rm -rf {} \; ||:
# the find below is useful in case those CVS/.svn/.git/.hg/.bzr/_MTN directory is added as %%doc
find . -type d \( -name 'CVS' -o -name '.svn' -o -name '.git' -o -name '.hg' -o -name '.bzr' -o -name '_MTN' \) -print -exec rm -rf {} \; ||:

# fix permissions
find . -type f -exec chmod 644 {} \' ||:
find . -type d -exec chmod 755 {} \' ||:

install -d %buildroot%_datadir/supertuxkart/data
cp -pr ./* %buildroot%_datadir/supertuxkart/data

rm %buildroot%_datadir/supertuxkart/data/licenses.txt
rm %buildroot%_datadir/supertuxkart/data/SVN-CONFIG
rm %buildroot%_datadir/supertuxkart/data/check_licenses.php

%files
%doc licenses.txt
%_datadir/supertuxkart/data

%changelog
