Name: thunar-shares-plugin
Version: 0.4.0
Release: alt1
Epoch: 1
Summary: Thunar file manager extension to share files using Samba
Summary(ru_RU.UTF8): Расширение файлового менеджера Thunar для предоставления доступа к папкам по сети.

Group:     Graphical desktop/XFce
License:   GPLv2+
URL:      https://docs.xfce.org/xfce/thunar/thunar-shares-plugin
Vcs:      https://gitlab.xfce.org/thunar-plugins/thunar-shares-plugin.git
Source:   %name-%version.tar
Patch:    %name-%version-%release.patch
Packager: Xfce Team <xfce@packages.altlinux.org>

BuildRequires(pre): rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libthunar-devel
BuildRequires: libxfconf-devel >= 4.12.0

# Can be used by shareman too.
#Requires: Thunar

Requires: samba

%define _unpackaged_files_terminate_build 1

%description
A Thunar file manager extension to share files using Samba. The backend
is based on nautilus-share.

%description -l (ru_RU.UTF8)
Плагин для файлового менеджера Thunar позволяющий предоставлять общий
доступ к папкам по сети используя Samba. Основан на плагине nautilus-share.

%prep
%setup
%patch -p1

%build
%xfce4reconf
%configure \
    --disable-static \
    --enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc AUTHORS README.md NEWS
%_libdir/thunarx-*/%name.so
%exclude %_libdir/thunarx-*/*.la

%changelog
