%def_enable git
%def_enable subversion

Name: thunar-vcs-plugin
Version: 0.3.0
Release: alt1

Summary: Version Contol System plugin for Thunar
License: GPL-2.0-or-later
Group: Graphical desktop/XFce

Url: https://docs.xfce.org/xfce/thunar/thunar-vcs-plugin
Vcs: https://gitlab.xfce.org/thunar-plugins/thunar-vcs-plugin.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libthunar-devel libgio-devel libxfce4util-devel libexo-gtk3-devel
BuildRequires: libgtk+3-devel
%if_enabled subversion
BuildRequires: libapr1-devel libsubversion-devel libaprutil1-devel
%endif

%define _unpackaged_files_terminate_build 1

%description
The Thunar VCS Plugin provides a svn and git intergration to Thunar.
It allows you to do most of the svn and git actions from the context
menu. It also shows the svn file status in the file properties window.

%prep
%setup
%patch -p1

%build
%xfce4reconf
%configure \
    --disable-static \
	%{subst_enable subversion} \
	%{subst_enable git} \
    --enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog
%_libexecdir/tvp-*
%_libdir/thunarx-*/*.so
%_iconsdir/hicolor/*/*/*.png

%exclude %_libdir/thunarx-*/*.la

%changelog
