%define _unpackaged_files_terminate_build 1
%define alt_name userpasswd
%define binary_name userpasswd-legacy

Name: userpasswd
Version: 0.3.6
Release: alt4

Group: System/Configuration/Other
Summary: The graphical tool for changing password
License: GPLv2+
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source: %name-%version.tar

BuildRequires (pre): rpm-macros-alternatives
Requires: pam0_tcb >= 1.1.0.1
Conflicts: usermode
BuildRequires: libgtk+2-devel

Requires: %name-common

%description
Install this package if you would like to provide users with
graphical tool for changing password.

%package common
Summary: Desktop file for userpasswd
Group: System/Configuration/Other
Conflicts: %name < 0.3.6-alt3

%description common
The package provides a .desktop file

%prep
%setup -q
sed -i 's/^\(PACKAGE = \)userpasswd$/\1%binary_name/' src/Makefile
sed -i 's/\(\s\+\/usr\/lib\/\)userpasswd/\1%binary_name/' src/loop.sh

%build
%make_build

%install
%make_install install menudir=%_desktopdir

mkdir -p %buildroot%_altdir
cat >%buildroot%_altdir/%binary_name <<EOF
%_bindir/%alt_name    %_bindir/%binary_name    30
EOF

%find_lang %name

%files -f %name.lang
%_bindir/%binary_name
%_libexecdir/%binary_name
%_datadir/pixmaps/*
%exclude %_datadir/pixmaps/userpasswd-keyring.png
%_altdir/%binary_name

%files common
%_desktopdir/%name.desktop
%_datadir/pixmaps/userpasswd-keyring.png

%changelog
