Name: vifm
Version: 0.14
Release: alt1

Summary: Two pane file manager with vi-like keybindings
License: GPLv2
Group: File tools
Url: http://vifm.sourceforge.net/

Source: %name-%version.tar.bz2

BuildRequires: gcc-c++ libncursesw-devel groff  libcfile-devel

%description
Vifm is a ncurses based file manager with vi like keybindings,
which also borrows some useful ideas from mutt. If you use vi, vifm
gives you complete keyboard control over your files without having
to learn a new set of commands.

%prep
%setup
sed -i 's/#!\/usr\/bin\/env perl/#!\/usr\/bin\/perl/' src/vifm-convert-dircolors

%build
#autoreconf
#configure \
#    --enable-werror
%configure \
	--with-curses \
	--with-libmagic \
	--without-gtk \
	--disable-developer

%make_build

%install
%makeinstall_std

%files
%doc AUTHORS BUGS COPYING ChangeLog FAQ NEWS README TODO
%exclude /usr/share/doc/%name
%_bindir/*
%_datadir/%name
%_datadir/zsh/site-functions/_%name
%_datadir//fish/vendor_completions.d/vifm.fish
%_datadir/icons/hicolor/128x128/apps/%name.png
%_datadir/icons/hicolor/scalable/apps/%name.svg
%_datadir/bash-completion/completions/%name
%_sysconfdir/%name/colors/Default-256.%name
%_man1dir/*
%_pixmapsdir/%name.png
%_desktopdir/%name.desktop

%changelog
