%define _unpackaged_files_terminate_build 1

Name:     vokoscreenNG
Version:  4.4.5
Release:  alt1

Summary:  VokscreenNG is a user friendly Open Source screencaster for Linux and Windows
License:  GPL-2.0
Group:    Other
Url:      https://github.com/vkohaupt/vokoscreenNG

Packager: Andrey Cherepanov <cas@altlinux.org>

Source:   %name-%version.tar

BuildRequires(pre): cmake
BuildRequires: gcc-c++
BuildRequires: intltool
BuildRequires: qt6-base-devel
BuildRequires: qt6-multimedia-devel
BuildRequires: qt6-tools-devel
BuildRequires: libgstreamermm1.0-devel
BuildRequires: libpulseaudio-devel

%description
%summary

%prep
%setup

%build
cd src
%qmake_qt6 CONFIG+=silent
%make_build

%install
%makeinstall_std -C src
install -Dpm0755 src/%name %buildroot%_bindir/%name
install -Dpm0644 src/applications/%name.desktop %buildroot%_desktopdir/%name.desktop
install -Dpm0644 src/applications/%name.png %buildroot%_pixmapsdir/%name.png

%files
%_bindir/%name
%_desktopdir/%name.desktop
%_pixmapsdir/%name.png

%changelog
