Name: xbyak
Version: 7.22
Release: alt1

Summary: A C++ JIT assembler for x86 (IA32), x64 (AMD64, x86-64)
License: BSD-3-Clause
Group: Development/C++

Url: https://github.com/herumi/%name
Packager: Nazarov Denis <nenderus@altlinux.org>

# https://github.com/herumi/%name/archive/refs/tags/v%version/%name-%version.tar.gz
Source: %name-%version.tar

BuildRequires: cmake
BuildRequires: gcc-c++

%description
Xbyak is a C++ header library that enables dynamically to assemble x86(IA32), x64(AMD64, x86-64) mnemonic.

%package -n lib%name-devel
Summary: A C++ JIT assembler for x86 (IA32), x64 (AMD64, x86-64)
Group: Development/C++

%description -n lib%name-devel
Xbyak is a C++ header library that enables dynamically to assemble x86(IA32), x64(AMD64, x86-64) mnemonic.

%prep
%setup

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n lib%name-devel
%_includedir/%name
%_libdir/cmake/%name

%changelog
