Name: xfce4-genmon-plugin
Version: 4.2.1
Release: alt1

Summary: Generic monitor plugin for the Xfce panel
License: LGPLv2.1+
Group: Graphical desktop/XFce
Packager: Xfce Team <xfce@packages.altlinux.org>
Url: https://docs.xfce.org/panel-plugins/xfce4-genmon-plugin

Vcs: https://gitlab.xfce.org/panel-plugins/xfce4-genmon-plugin.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libxfce4panel-gtk3-devel >= 4.16.0 libxfce4ui-gtk3-devel libxfconf-devel

Requires: xfce4-panel

%define _unpackaged_files_terminate_build 1
%add_findreq_skiplist %_datadir/xfce4/genmon/scripts/*

%description
The GenMon plugin cyclically spawns the indicated script/program,
captures its output and displays it as a string into the panel.

%prep
%setup
%patch -p1

%build
%xfce4reconf
%configure \
    --enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README AUTHORS NEWS
%_libdir/xfce4/panel/plugins/*.so
%_datadir/xfce4/panel/plugins/*.desktop
%_datadir/xfce4/genmon/
%_iconsdir/hicolor/*/apps/*

%exclude %_libdir/xfce4/panel/plugins/*.la

%changelog
