Name: xfce4-panel-profiles
Version: 1.0.15
Release: alt1

Summary: A simple application to manage Xfce panel layouts
License: GPL-3.0+
Group: Graphical desktop/XFce
Url: https://docs.xfce.org/apps/xfce4-panel-profiles/start

Vcs: https://gitlab.xfce.org/apps/xfce4-panel-profiles.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch
Packager: Xfce Team <xfce@packages.altlinux.org>
BuildArch: noarch

BuildRequires(pre): rpm-build-python3 rpm-build-gir
%add_python3_path %_datadir/%name

Requires: xfce4-panel

%define _unpackaged_files_terminate_build 1

%description
Xfce4 Panel Profiles (xfce4-panel-profiles, formerly known as xfpanel-switch)
is a simple application to manage Xfce panel layouts.
With the modular Xfce Panel, a multitude of panel layouts can be
created. This tool makes it possible to backup, restore, import, and
export these panel layouts.

%prep
%setup
%patch -p1

%build
# It is not autotools configure
./configure \
	--prefix=%_prefix \
	--python=python3
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc %_defaultdocdir/%name
%_bindir/%name
%_datadir/%name/
%_desktopdir/*.desktop
%_iconsdir/hicolor/*/apps/*
%_datadir/metainfo/*.appdata.xml
%_man1dir/%name.*

%changelog
