%{?optflags_lto:%global optflags_lto %optflags_lto -ffat-lto-objects}
%define soversion 2

Name: zlib-ng
Version: 2.2.4
Release: alt1

Summary: Zlib replacement with optimizations
Summary(ru_RU.UTF-8): Замена Zlib с оптимизацией
License: Zlib
Group: System/Libraries

Url: https://github.com/%name/%name
Packager: Nazarov Denis <nenderus@altlinux.org>

# https://github.com/%name/%name/archive/%version/%name-%version.tar.gz
Source: %name-%version.tar
Patch2000: %name-e2k-simd.patch

BuildRequires: ctest

%description
%name is a zlib replacement that provides optimizations for "next generation"
systems.

%package -n libz-ng%soversion
Summary: Zlib replacement with optimizations
Summary(ru_RU.UTF-8): Замена Zlib с оптимизацией
Group: System/Libraries
Provides: %name = %EVR
Obsoletes: %name <= 2.0.5-alt1.1

%description -n libz-ng%soversion
%name is a zlib replacement that provides optimizations for "next generation"
systems.

%description -l ru_RU.UTF-8 -n libz-ng%soversion
%name — это замена zlib, обеспечивающая оптимизацию
для систем «следующего поколения».

%package devel
Summary: Development files for %name
Summary(ru_RU.UTF-8): Файлы разработки для %name
Group: Development/C

%description devel
The %name-devel package contains development files for
developing application that use %name.

%description -l ru_RU.UTF-8 devel
Пакет %name-devel содержит файлы для
разработки приложений, использующих %name.

%package devel-static
Summary: Static library for %name
Summary(ru_RU.UTF-8): Статическая библиотека для %name
Group: Development/C
Requires: %name-devel = %EVR

%description devel-static
The %name-devel package contains static library for
developing application that use %name.

%description -l ru_RU.UTF-8 devel-static
Пакет %name-devel содержит статическую библиотеку для
разработки приложений, использующих %name.

%prep
%setup
%ifarch %e2k
%patch2000 -p1
%endif

%build
%ifarch %arm
%remove_optflags %optflags_lto
%endif

%cmake \
	-DCMAKE_SKIP_RPATH:BOOL=OFF \
	-DWITH_GTEST:BOOL=OFF \
%ifarch aarch64
	-DWITH_ARMV6:BOOL=OFF \
%endif

%cmake_build

%install
%cmake_install

%check
%ctest

%files -n libz-ng%soversion
%doc FAQ.zlib PORTING.md README.md doc/*.txt
%_libdir/libz-ng.so.*

%files devel
%_includedir/*.h
%_libdir/libz-ng.so
%_libdir/cmake/%name
%_pkgconfigdir/%name.pc

%files devel-static
%_libdir/libz-ng.a

%changelog
