Name: algol68g
Version: 3.5.12
Release: alt1
Summary: Algol 68 interpreter
License: GPLv3
Group: Development/Other
Url: http://jmvdveer.home.xs4all.nl/algol.html
Packager: %packager

Source: %name-%version.tar

# Automatically added by buildreq on Sun Aug 14 2011
# optimized out: libtinfo-devel
BuildRequires: libncurses-devel

%description
The development of Algol played an important role in establishing
computer science as an academic discipline. The Algol 68 Genie
project preserves Algol 68 out of educational as well as
scientific-historical interest, by making available Algol 68 Genie;
a recent, well-featured implementation written from scratch.
Algol 68 Genie is a practically full implementation of the language
defined by the Revised Report. The implementation is a hybrid
compiler-interpreter; units with considerable interpreter-overhead
can optionally be compiled.

%prep
%setup

%build
autoconf
%configure
%make

%install
mkdir -p %buildroot/{%_bindir,%_docdir}
install -pm755 a68g %buildroot/%_bindir/a68g

install -pm644 AUTHORS %buildroot%_docdir/
install -pm644 NEWS %buildroot%_docdir/
install -pm644 README %buildroot%_docdir/
install -pm644 COPYING %buildroot%_docdir/
install -pm644 ChangeLog %buildroot%_docdir/

%files
%_bindir/*
%_docdir/*

%changelog
