%define _unpackaged_files_terminate_build 1

Name: alt-app-starter
Version: 1.5.0
Release: alt1
%K6init

Group: Graphical desktop/KDE
Summary: The tool to run programs as another user
URL: http://git.altlinux.org/gears/a/alt-app-starter.git
License: GPL-2.0-or-later

Requires: /usr/bin/xvt

Source: %name-%version.tar

BuildRequires(pre): rpm-build-kf6
BuildRequires: extra-cmake-modules
BuildRequires: kf6-kdesu-devel
BuildRequires: kf6-kio-devel
BuildRequires: kf6-kpty-devel
BuildRequires: kf6-kcoreaddons-devel
BuildRequires: kf6-kwindowsystem-devel
BuildRequires: qt6-declarative-devel
BuildRequires: qt6-tools-devel
BuildRequires: boost-devel-headers

%description
Alt-App-Starter is the tool to quickly run programs as another user.
This tool was designed to work with KDE.

%prep
%setup

%build
%K6build \
    -DQT_MAJOR_VERSION=6 \
    #

%install
%K6install

%find_lang --with-qt --all-name %name

%files -f %name.lang
%doc COPYING*
%_K6bin/*starter*
%_K6xdgapp/*starter*.desktop
%_K6data/kio/servicemenus/*starter*.desktop

%changelog
