Name: alt-panelmoded
Version: 0.5.2
Release: alt1

Summary: Used for panelmode on operating systems of the Alt family with GNOME desktop enviroment
License: GPL-3.0-or-later
Group: Graphical desktop/GNOME

Url: https://gitlab.gnome.org/Armatik/alt-panelmoded
Vcs: https://gitlab.gnome.org/Armatik/alt-panelmoded
Source: %name-%version.tar

BuildRequires(pre): rpm-macros-meson
BuildRequires(pre): rpm-macros-systemd
BuildRequires: meson
BuildRequires: vala
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gee-0.8)

Requires: dconf
Requires: gnome-shell-extensions
Requires: gnome-shell-extension-dash-to-panel
Requires: gnome-shell-extension-arcmenu
Requires: gnome-shell-extension-gtk4-desktop-icons-ng
Requires: gnome-shell-extension-appindicator
Requires: gnome-shell-extension-clipboard-indicator

%description
Used for panelmode on operating systems of the Alt family with GNOME desktop
enviroment.

%prep
%setup

%build
%meson
%meson_build

%install
%meson_install
%find_lang --with-gnome %name

%post
%systemd_user_post %name.service

%preun
%systemd_user_preun %name.service

%files -f %name.lang
%_bindir/%name
%_user_unitdir/%name.service
%_datadir/glib-2.0/schemas/org.altlinux.%name.gschema.xml
%_user_presetdir/20-%name.preset
%_desktopdir/org.altlinux.panelmoded.desktop

%changelog
