%define _unpackaged_files_terminate_build 1

Name:      appstream-data-desktop
Summary:   ALT Linux AppStream metadata
Version:   20250221
Release:   alt1
Group:     System/Configuration/Packaging
BuildArch: noarch
License:   CC0 and CC-BY and CC-BY-SA and GFDL
URL:       http://www.altlinux.org/SoftwareCenter/Applications
Source:    %name-%version.tar

Provides:  appstream-data = %EVR
Obsoletes: appstream-data < 20240211

BuildRequires: appstream-data-generator

%description
This package provides the distribution specific AppStream metadata
required for GNOME Software Center or KDE Discover.

%prep
%setup

%install
mkdir -p %buildroot%_datadir/swcatalog/xml
mkdir -p %buildroot%_datadir/swcatalog/icons

cp -r icons/* %buildroot%_datadir/swcatalog/icons/
cp -r xmls/* %buildroot%_datadir/swcatalog/xml/
#cp -r manual-%version/* %buildroot%_datadir/app-info/xmls/

%files
%_datadir/swcatalog/xml/*
%_datadir/swcatalog/icons/altlinux

%changelog
