Name: autologin
Version: 1.0.0
Release: alt10
Serial: 1

Summary: Automatically log in
License: GPL
Group: System/Base
URL: http://www.linux-easy.com/development/autologin/

Source: %name-%version.tar.bz2
Source1: %name.pamd
Patch: %name-1.0.0-mdk-alt.patch
Patch1: %name-1.1.0-tty-dev.patch
Patch2: %name-1.0.0-alt-doc.patch
Patch3: %name-1.1.0-fix-FTBS.patch
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Wed Jan 15 2003
BuildRequires: libpam-devel

%description
Autologin automatically logs in as the user specified in configuration
file, %_sysconfdir/sysconfig/%name, and starts the X session defined there.

%prep
%setup
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p2

%build
%autoreconf
%configure --enable-paranoid
%make_build

%install
%makeinstall_std
install -pDm644 %SOURCE1 %buildroot%_sysconfdir/pam.d/%name

%post
# handle a special case: upgrading ALM2.x installed with autologin
CONFIG="/etc/sysconfig/autologin"
[ -s "$CONFIG" ] \
&& subst 's,^EXEC=/usr/X11R6/bin/startx,EXEC=/usr/bin/startx,' "$CONFIG" \
||:

%files
%_sbindir/*
%config(noreplace) %_sysconfdir/pam.d/*
%doc README AUTHORS

%changelog
