Name: crudini
Version: 0.9.5
Release: alt1
Summary: A utility for manipulating ini files
Group: Development/Python3

License: GPLv2
Url: https://github.com/pixelb/%name
Packager: Ilya Mashkin <oddity@altlinux.ru>

Source: https://github.com/pixelb/%name/archive/%name-%version.tar.gz
Patch: crudini-py3.patch

BuildArch: noarch
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-iniparse
BuildRequires:  diffutils
BuildRequires:  grep
Requires: python3-module-iniparse

%description
A utility for easily handling ini files from the command line and shell
scripts.

%prep
%setup
%patch -p1

%build

%install
install -p -D -m 0755 %name.py %buildroot%_bindir/%name
install -p -D -m 0644 %name.1 %buildroot%_man1dir/%name.1

#check
#pushd tests
#LC_ALL=en_US.utf8 ./test.sh
#popd

%files
%doc README.md COPYING TODO NEWS example.ini
%_bindir/%name
%_man1dir/%name.*

%changelog
