Name: gambit-signal
Version: 1.2
Release: alt5

Summary: UNIX signal handling library for Gambit-C Scheme programming system
License: GPLv3+
Group: Development/Scheme

Source: %name-%version.tar
Packager: Paul Wolneykien <manowar@altlinux.ru>
BuildRequires: gambit-devel glibc-devel

%description
UNIX signal handling library for Gambit-C Scheme programming system

%package devel
Summary: UNIX signal handling library link file for Gambit-C Scheme programming system
Group: Development/Scheme
Requires: %name = %version-%release
BuildArch: noarch

%description devel
UNIX signal handling library for Gambit-C Scheme programming system

This package contains the library link file

%prep
%setup

%build
%add_optflags -Wno-discarded-qualifiers -Wno-incompatible-pointer-types
%make_build CFLAGS='%optflags'

# workaround non-blocking i/o: https://unix.stackexchange.com/questions/437409
cat >> nonblock.c << EOF
#include <fcntl.h>
main() { fcntl(0, F_SETFL, fcntl(0, F_GETFL, 0) & ~(O_NONBLOCK)); }
EOF
make nonblock && ./nonblock

%install
%makeinstall

%check
%make check

%files
%{_libdir}/gambit/*.so

%files devel
%{_includedir}/gambit/*.c

%changelog
