Name: gambit-sqlite3
Version: 1.3.1
Release: alt2
Summary: SQLite3 database library for Gambit-C Scheme programming system
License: GPLv3+
Group: Development/Scheme
URL: http://okmij.org/ftp/Scheme/#databases

Packager: Paul Wolneykien <manowar@altlinux.ru>

BuildRequires: gambit-devel sqlite3 libsqlite3-devel

Source: %name-%version.tar

%description
SQLite3 database library for Gambit-C Scheme programming system

%package devel
Summary: SQLite3 database library link file for Gambit-C Scheme programming system
Group: Development/Scheme
Requires: %name = %version-%release
BuildArch: noarch

%description devel
SQLite3 database library for Gambit-C Scheme programming system

This package contains the library link file

%prep
%setup -q

%build
%add_optflags -Wno-discarded-qualifiers -Wno-incompatible-pointer-types
%make_build CFLAGS='%optflags'

%install
%makeinstall

%check
%make check

%files
%doc README COPYRIGHT
%{_libdir}/gambit/*.so

%files devel
%{_includedir}/gambit/*.c

%changelog
