# TODO: see spec from PLD with separate packages
Name: global
Version: 6.6.13
Release: alt1

Summary: Source code tag system

Group: Text tools
License: GPL/BSD
Url: http://www.gnu.org/software/global

Packager: Vitaly Lipatov <lav@altlinux.ru>

# Source-url: https://ftp.gnu.org/pub/gnu/global/global-%version.tar.gz
Source: global-%version.tar

BuildRequires: rpm-build-python3
BuildRequires: ctags libltdl7-devel libncurses-devel
BuildRequires: libsqlite3-devel
# explicitly added texinfo for info files
BuildRequires: texinfo

%description
GNU GLOBAL is a source code tag system that works the same way across
diverse environments. It supports C, C++, Yacc, Java, PHP and
assembler source code.

%package htags
Summary: GNU GLOBAL - programs for making hypertext from source code
Group: Text tools
Requires: %name = %version-%release
Provides: gozilla-%version-%release
Provides: htags-%version-%release

%description htags
GNU GLOBAL is a source code tag system that works the same way across
diverse environments. It supports C, C++, Yacc, Java, PHP and
assembler source code.

Htags makes hypertext from source code. The package also contains the
gozilla wrapper, which enforces Mozilla-based web browsers to display
source code in an elegant way. Htags can also work with a CVS
repository, which makes it more easy to navigate though the code over
the Web.

%prep
%setup
%__subst "s|^#!/usr/bin/env python\$|#!/usr/bin/env python3|" plugin-factory/pygments_parser.py*
#patch -p2

%build
%configure --disable-static \
    --with-python-interpreter=%__python3 \
    --with-sqlite3 \
    %nil
%make_build

%install
%makeinstall_std
rm -fr %buildroot%_datadir/emacs
rm -f %buildroot%_infodir/dir
rm -f %buildroot%_libdir/gtags/*.la

%files
%doc README THANKS LICENSE AUTHORS COPYING FAQ gtags.el
%_bindir/global
%_bindir/globash
%_bindir/gtags*
%_infodir/*
%_man1dir/global*
%_man1dir/globash*
%_man1dir/gtags*
%_man5dir/gtags*
%_datadir/gtags/
%_libdir/gtags/*.so

%files htags
%_bindir/htags
%_bindir/htags-server
%_bindir/gozilla
%_man1dir/htags*
%_man1dir/gozilla*

%changelog
