%define _unpackaged_files_terminate_build 1
%define import_path github.com/golangci/golangci-lint

Name: golangci-lint
Version: 1.64.5
Release: alt1

Summary: Fast linters Runner for Go
License: GPL-3.0
Group: Development/Tools
Url: https://golangci-lint.run
Vcs: https://github.com/golangci/golangci-lint

ExclusiveArch: %go_arches

Source0: %name-%version.tar
Source1: %name-%version-vendor.tar
Patch0: %name-%version-alt.patch

BuildRequires(pre): rpm-build-golang

%description
golangci-lint is a fast Go linters runner. It runs linters in parallel,
uses caching, supports yaml config, has integrations with all major IDE
and has dozens of linters included.

%prep
%setup -a1
%autopatch -p1

%build
export BUILDDIR="$PWD/.build"
export IMPORT_PATH="%import_path"
export GOPATH="$BUILDDIR:%go_path"
%golang_prepare

cd .build/src/%import_path
%golang_build cmd/%name

%install
export BUILDDIR="$PWD/.build"
export IGNORE_SOURCES=1
%golang_install

%files
%_bindir/*

%changelog
