Name: goverlay
Version: 1.2
Release: alt1

Summary: Graphical UI to help manage Linux overlays
License: GPLv3+
Group: System/Configuration/Hardware

Url: https://github.com/benjamimgois/goverlay
Source: https://github.com/benjamimgois/goverlay/archive/%version/%name-%version.tar.gz
Patch: goverlay-enable-debuginfo-generation.patch

#ExclusiveArch: x86_64
ExcludeArch: ppc64le armh
BuildRequires: lazarus rpm-build-fpc fpc libappstream-glib-devel qt6pas-devel

Requires: mangohud vulkan-tools vkBasalt
Requires: qt6pas


#Recommends: git
#Recommends: mesa-demos
#Recommends: vkbasalt
#Recommends: vulkan-tools

%description
GOverlay is an opensource project that aims to create a graphical UI to
help manage Linux overlays. Currently supported:

- MangoHUD
- vkBasalt

%prep
%setup

%build
#set_build_flags
%make_build

%install
%makeinstall_std prefix=%prefix

%files
%doc LICENSE
%_bindir/%name
#_desktopdir/%name.desktop
%_datadir/metainfo/*%name.metainfo.xml
%{_datadir}/applications/*.desktop
%_iconsdir/hicolor/*/apps/%name.png
%_man1dir/%name.1*
/usr/libexec/goverlay

%changelog
