Name: gqview
Version: 2.1.5
Release: alt10

Summary: Image viewer and browser utility
License: GPLv2+
Group: Graphics

Url: https://gqview.sourceforge.net/
Source: https://dl.sourceforge.net/gqview/gqview-%version.tar.gz
Patch0: gqview-2.1.5-editors.patch
Patch1: gqview-1.5.8-zoom-defaults.patch
Patch2: gqview-enable_dng.patch
Patch3: gqview-2.1.5-alt-freedesktop.patch
Patch4: gqview-native-icons.patch
Patch5: gqview-2.1.5-alt-histfile_perms.patch
Patch6: gqview-pixbuf-renderer-use-gdk_region.patch
Patch7: gqview-pixbuf-renderer-use-gdk_window_scroll.patch
#https://gitweb.gentoo.org/repo/gentoo.git/tree/media-gfx/gqview/files/gqview-2.1.5-gcc-10.patch
Patch8: gqview-2.1.5-gcc-10.patch
Patch9: gqview-2.1.5-alt-gcc-14.patch

# Automatically added by buildreq on Mon Feb 25 2008
BuildRequires: libgtk+2-devel liblcms-devel

Requires: /usr/bin/jpegtran /usr/bin/mogrify

%description
GQview is an image viewer for browsing through graphics files.
Features include single click file viewing, support for external
editors, previewing images using thumbnails, and zoom.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p2
%patch7 -p2
%patch8 -p1
%patch9 -p2
sed -i 's,^gqview_LDADD = ,&-lm ,' src/Makefile*

%build
export CFLAGS="-lm"
%configure
%make_build

%install
%makeinstall_std
install -pDm644 gqview.png %buildroot%_liconsdir/gqview.png

%find_lang %name

%files -f %name.lang
%doc README
%_bindir/*
%_desktopdir/*
%_pixmapsdir/*
%_liconsdir/*
%_man1dir/*

%changelog
