%def_disable snapshot
%define _name hyprlang

%def_enable check

Name: %_name
Version: 0.6.0
Release: alt1

Summary: Hyprland configuration library
License: GPL-3.0
Group: System/Libraries
Url: https://github.com/hyprwm/hyprlang

Vcs: https://github.com/hyprwm/hyprlang.git

%if_disabled snapshot
Source: %url/archive/v%version/%_name-%version.tar.gz
%else
Source: %_name-%version.tar
%endif

BuildRequires(pre): rpm-macros-cmake
BuildRequires: gcc-c++ cmake
BuildRequires: pkgconfig(hyprutils) >= 0.1.1
%{?_enable_check:BuildRequires: ctest}

%description
The hypr configuration language is an extremely efficient, yet easy to
work with, configuration language for linux applications.

It's user-friendly, easy to grasp, and easy to implement.

%package -n lib%name
Summary: Hyprlang shared library
Group: System/Libraries

%description -n lib%name
This packaage provides Hyprlang shared library.

%package -n lib%name-devel
Summary: Development files for Hyprlang
Group: Development/C++
Requires: lib%name = %EVR

%description -n lib%name-devel
Development files for the Hyprlang library.

%prep
%setup -n %_name-%version

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%cmake_build -t test

%files -n lib%name
%_libdir/lib%_name.so.*

%files -n lib%name-devel
%_includedir/%_name.hpp
%_libdir/lib%_name.so
#%_libdir/cmake/%_name/
%_pkgconfigdir/%_name.pc

%changelog
