Name: installer-distro-simply-linux
Version: 11.1.0
Release: alt1

Summary: Installer common files
Summary(ru_RU.UTF-8): Общие пакеты для установки дистрибутива "Simply linux"
License: GPLv2+
Group: System/Configuration/Other
Source: %name-%version.tar
BuildArch: noarch

BuildRequires: alterator rpm-devel

%description
Installer common files

%description -l ru_RU.UTF-8
Виртуальный пакет содержащий зависимости на необходимые пакеты и настройки
для установки дистрибутива "Просто линукс" (Simply linux).

%package stage2
Summary: Installer stage2
Summary(ru_RU.UTF-8): Пакеты необходимые на втором этапе установки Simply linux
Group: System/Configuration/Other
Requires: %name = %version-%release
Requires: installer-stage2
#fonts
# Not needed, will be added by m-p profile itself
#Requires: fonts-ttf-google-droid-sans
#modules
Requires: alterator-sysconfig
Requires: alterator-license
#Requires: alterator-auth
Requires: alterator-datetime >= 4.0
Requires: chrony
Requires: alterator-vm
Requires: installer-alterator-pkg >= 3.1.5-alt1
Requires: alterator-luks
Requires: x-cursor-theme-jimmac
#features
Requires: installer-feature-autohostname-stage2
Requires: installer-feature-desktop-suspend-stage2
Requires: installer-feature-samba-usershares-stage2
Requires: installer-feature-slideshow
Requires: installer-feature-xdg-user-dirs

Provides: installer-lite-stage2
Provides: installer-simply-linux-stage2
Obsoletes: installer-simply-linux-stage2

%description stage2
Installer stage2

%description stage2 -l ru_RU.UTF-8
Данный виртуальный пакет зависит от пакетов необходимых на втором этапе
установки дистрибутива "Просто линукс" (Simply linux).

%package stage3
Summary: Installer stage3
Summary(ru_RU.UTF-8): Пакеты необходимые на третьем этапе установки Simply linux
Group: System/Configuration/Other
Requires: %name = %version-%release
Requires: installer-stage3
#modules
# Only require alterator-grub for arches that have grub.
%ifarch  %ix86 x86_64 aarch64 ppc64le
Requires: alterator-grub
%endif
Requires: alterator-users
Requires: alterator-root
Requires: alterator-net-eth
Requires: alterator-luks
#Requires: alterator-x11
#features
Requires: installer-feature-bell-off-stage3
Requires: installer-feature-lightdm-stage3
Requires: installer-feature-repo-add

Provides: installer-lite-stage3
Provides: installer-simply-linux-stage3
Obsoletes: installer-simply-linux-stage3

%description stage3
Installer stage3

%description stage3 -l ru_RU.UTF-8
Данный виртуальный пакет зависит от пакетов необходимых на третьем этапе
установки дистрибутива "Просто линукс" (Simply linux).

%prep
%setup -q

%install
%makeinstall

# Don't expand groups lists
mkdir -p %buildroot%_sysconfdir/alterator
echo "expand-description=no" >%buildroot%_sysconfdir/alterator/pkg-groups.conf

%find_lang alterator-simply-linux

%files -f alterator-simply-linux.lang

%files stage2
%_sysconfdir/alterator/pkg-groups.conf
%_datadir/install2/installer-steps
%_datadir/install2/*.d/*
%_datadir/install2/alterator-menu

%files stage3

%changelog
