%define _unpackaged_files_terminate_build 1

Name: kde-rounded-corners
Version: 0.7.1
Release: alt1
%K6init no_altplace

Group: Graphical desktop/KDE
Summary: Rounds the corners of your windows in KDE Plasma
URL: https://github.com/matinlotfali/KDE-Rounded-Corners
License: GPL-3.0-only

Provides: kde5-rounded-corners = %EVR
Obsoletes: kde5-rounded-corners < %EVR

Source: %name-%version.tar

BuildRequires(pre): rpm-build-kf6
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: extra-cmake-modules
BuildRequires: kwin-devel
BuildRequires: kf6-kconfig-devel
BuildRequires: kf6-kconfigwidgets-devel
BuildRequires: kf6-kcoreaddons-devel
BuildRequires: kf6-kwindowsystem-devel
BuildRequires: kf6-kcolorscheme-devel
BuildRequires: kf6-kcmutils-devel
BuildRequires: kf6-ki18n-devel
BuildRequires: qt6-declarative-devel

%description
%summary.

%prep
%setup
%autopatch -p1

%build
%K6build

%install
%K6install
%find_lang %name --with-kde --all-name

%files -f %name.lang
%doc LICENSE README.*
%_K6data/kwin/shaders/shapecorners*.frag
%_K6plug/kwin/effects/configs/kwin_shapecorners_config.so
%_K6plug/kwin/effects/plugins/kwin4_effect_shapecorners.so

%changelog
