# -*- rpm-spec -*-
%define module_name	ch341
%define module_version  1.0.0
%define git b3629c3

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: %module_version
Release: alt4.g%{git}
Provides: kernel-source-%module_name-%module_version
Summary: CH341 linux drivers for I2C / SPI and GPIO mode
License: GPLv2
Group: Development/Kernel
Url: https://github.com/frank-zago/ch341-i2c-spi-gpio
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Source0: %name-%version.tar

BuildPreReq: kernel-build-tools
BuildArch: noarch

%description
WinChipHead CH341 linux driver for I2C, SPI and GPIO mode

%prep
%setup -c -q

%install
mkdir -p %kernel_srcdir
tar jcf %kernel_srcdir/%name-%version.tar.bz2 %name-%version

%files
%attr(0644,root,root) %kernel_src/%name-%version.tar.bz2

%changelog
