%define rname kplotting

Name: kf6-%rname
Version: 6.11.0
Release: alt1
%K6init altplace

Group: System/Libraries
Summary: KDE Frameworks 6 Data Plotting
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

Source: %rname-%version.tar

# Automatically added by buildreq on Thu Dec 25 2014 (-bi)
# optimized out: cmake cmake-modules elfutils libEGL-devel libGL-devel libcloog-isl4 libqt6-core libqt6-gui libqt6-test libqt6-widgets libstdc++-devel python-base ruby ruby-stdlibs
#BuildRequires: extra-cmake-modules gcc-c++ python-module-google qt6-base-devel rpm-build-ruby
BuildRequires(pre): rpm-build-kf6 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++ qt6-base-devel qt6-tools-devel

%description
Lightweight plotting framework.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kde-common
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf6plotting
Group: System/Libraries
Summary: KF6 library
#Requires: %name-common = %version-%release
%description -n libkf6plotting
KF6 library


%prep
%setup -n %rname-%version

%build
%K6build

%install
%K6install

#%files common

%files devel
#%_K6inc/kplotting_version.h
%_K6inc/KPlotting/
%_K6link/lib*.so
%_K6lib/cmake/KF6Plotting
%_K6plug/designer/*.so

%files -n libkf6plotting
%doc LICENSES/* README.md
%_K6lib/libKF6Plotting.so.*


%changelog
