# error in help2man
%def_disable manpages

Name: linstor-client
Summary: Linstor Client
Version: 1.24.0
Release: alt1
Group: Development/Python3
License: GPLv3
URL: https://github.com/LINBIT/linstor-client
Source: http://www.linbit.com/downloads/linstor/linstor-client-%version.tar.gz
BuildArch: noarch
BuildRequires(pre): rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)
BuildRequires: python3-module-linstor >= 1.21.0
%{?_enable_manpages:BuildRequires: help2man xsltproc docbook-style-xsl}

%add_python3_req_skip linstor_client.commands.utils.skip_disk_utils

%description
User space client to ease DRBD9 resource management.
Linstor, developed by LINBIT, is a software that manages DRBD replicated LVM/ZFS volumes
across a group of machines. It maintains DRBD configuration on the participating machines.
It creates/deletes the backing LVM/ZFS volumes.
It automatically places the backing LVM/ZFS volumes among the participating machines.

%prep
%setup -n %name-%version

%build
%if_enabled manpages
python3 setup.py build_man
%endif
%pyproject_build

%install
%pyproject_install
install -D -m 0644 scripts/bash_completion/linstor %buildroot%_sysconfdir/bash_completion.d/linstor

%files
%doc README.md
%_bindir/*
%python3_sitelibdir/*
%_sysconfdir/bash_completion.d/*
%if_enabled manpages
%_man8dir/*
%endif

%changelog
