Name: ltris2
Version: 2.0.3
Release: alt1

Group: Games/Arcade
Summary: Nice tetris clone
URL: http://lgames.sourceforge.net/index.php?project=LTris
License: GPLv2+
Packager: Ilya Mashkin <oddity@altlinux.ru>

Source0: http://download.sourceforge.net/lgames/ltris2-%version.tar.gz
Patch1: ltris-1.0.19-inlines.patch

Patch2: fix_sdl_test.patch
Patch3: icon_fix.patch

BuildRequires: esound libSDL2-devel libSDL2_mixer-devel desktop-file-utils automake sysconftool ImageMagick libSDL2_ttf-devel libSDL2_image-devel gcc gcc-c++
Obsoletes: ltris < 2
Provides: ltris


%description
o Tetris clone using SDL
o Sound
o Menu
o Controls can be redefined
o Block preview
o Starting level between 0 and 9
o Various backgrounds
o HighScores
o Nice graphics
o Smooth gameplay
o Cool effects (transparency, animations)
o Two player mode
o Two game modes

%prep
%setup -q
#patch1 -p1
#patch2 -p1
#patch3 -p1
###convert ltris48.gif ltris.png
#cp ltris48.png ltris.png

%build
autoreconf -f -i
%configure --bindir=%_gamesbindir --datadir=%_gamesdatadir --localstatedir=%{_localstatedir}/games
%make_build

%install
%make install DESTDIR=%buildroot

#install -D -m644 icons/%{name}16.xpm $RPM_BUILD_ROOT%_miconsdir/%name.xpm
#install -D -m644 icons/%{name}32.xpm $RPM_BUILD_ROOT%_niconsdir/%name.xpm
#install -D -m644 icons/%{name}48.xpm $RPM_BUILD_ROOT%_liconsdir/%name.xpm

# todo: report category BlocksGame to upstream
# move and fix desktop file
desktop-file-install --dir %buildroot%_desktopdir --delete-original \
	--add-category BlocksGame %buildroot%_gamesdatadir/applications/%name.desktop

# fix desktop file
sed -i -e 's,^Icon=.*,Icon=%name,' %buildroot%_desktopdir/%name.desktop

%find_lang %name

%files -f %name.lang

%doc README TODO
%attr(2711, root, games) %_gamesbindir/*
%attr(-, games, games) %_localstatedir/games/%name.hscr
%_gamesdatadir/%name
%_datadir/games/icons/hicolor/256x256/apps/ltris2.png
%_desktopdir/%name.desktop
#_niconsdir/%name.xpm
#_miconsdir/%name.xpm
#_liconsdir/%name.xpm

%changelog
