%define soversion 19

Name: miniupnpc
Version: 2.3.1
Release: alt1
Epoch: 1

Summary: UPnP client library
License: BSD
Group: System/Libraries

Url: http://miniupnp.free.fr/
Packager: Nazarov Denis <nenderus@altlinux.org>

# http://miniupnp.free.fr/files/%name-%version.tar.gz
Source: %name-%version.tar

BuildRequires: cmake

%description
The miniupnpc library implement the UPnP protocol defined
to dialog with Internet Gateway Devices.

%package -n lib%name%soversion
Summary: UPnP client library
Group: System/Libraries

%description -n lib%name%soversion
The miniupnpc library implement the UPnP protocol defined
to dialog with Internet Gateway Devices.

%package -n lib%name-devel
Summary: Development files for %name
Group: Development/C

%description -n lib%name-devel
Contains libraries and header files for
developing applications that use %name.

%package tools
Summary: Development tools for %name
Group: Development/Tools

%description tools
Development tools for %name

%prep
%setup

%build
%cmake -DUPNPC_BUILD_STATIC:BOOL=FALSE
%cmake_build

%install
%cmakeinstall_std
%__xz man3/%name.3
%__install -Dp -m0644 man3/%name.3.xz %buildroot%_man3dir/%name.3.xz

%files -n lib%name%soversion
%doc README
%_libdir/lib%name.so.%version
%_libdir/lib%name.so.%soversion

%files -n lib%name-devel
%dir %_includedir/%name
%_includedir/%name/*.h
%dir %_libdir/cmake/%name
%_libdir/cmake/%name/*.cmake
%_libdir/lib%name.so
%_pkgconfigdir/%name.pc
%_man3dir/%name.3.*

%files tools
%_bindir/external-ip.sh
%_bindir/upnp-listdevices-shared
%_bindir/upnpc-shared

%changelog
