Name: orage
Version: 4.20.0
Release: alt1

Summary: Time-managing application for the Xfce desktop environment
Summary (ru_RU.UTF-8): Календарь для окружения рабочего стола Xfce
License: GPLv2+
Group: Graphical desktop/XFce
Url: https://docs.xfce.org/apps/orage/start
Vcs: https://gitlab.xfce.org/apps/orage.git
Packager: Xfce Team <xfce@packages.altlinux.org>

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libxfce4util-devel libxfce4ui-gtk3-devel
BuildRequires: libnotify-devel libical-devel

Requires: xfce4-common

Obsoletes: xfcalendar < 4.8.3
Provides: xfcalendar = %version-%release

%define _unpackaged_files_terminate_build 1

%description
%name is the time-managing application for the Xfce desktop environment.

%description -l ru_RU.UTF-8
Данный пакет содержит в себе календарь для окружения рабочего стола
Xfce.

%prep
%setup
%patch -p1

%build
%xfce4reconf
%configure \
	--enable-libnotify \
	--enable-archive \
	--enable-libxfce4ui \
	--disable-x11-tray-icon \
	--enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README.md AUTHORS NEWS
%_bindir/*
%_desktopdir/*
%_datadir/orage/
%_liconsdir/*
%_iconsdir/hicolor/*/apps/*
%_datadir/dbus-1/services/*.service
%_datadir/metainfo/org.xfce.orage.appdata.xml
%_datadir/themes/Default/orage-4.0/

%changelog
