Name: pciids
Version: 20250217
Release: alt1

Summary: Repository of PCI IDs (pci.ids database)
License: GPLv2+ or BSD
Group: System/Libraries

#Url: http://pciids.sourceforge.net
Url: https://pci-ids.ucw.cz
Source: %url/pci.ids
Patch: hwdatabase.ti24.patch

BuildArch: noarch

%description
This package contains a public list of all known IDs used in PCI devices: ID's
of vendors, devices, subsystems and device classes. It is used in various
programs to display full human-readable names instead of cryptic numeric codes.

%prep
%setup -c -T
cp %SOURCE0 .
%patch -p1

%build


%install
install -pD -m644 pci.ids %buildroot%_datadir/misc/pci.ids

%files
%_datadir/misc/pci.ids

%changelog
