%define _unpackaged_files_terminate_build 1
%define _stripped_files_terminate_build 1
%set_verify_elf_method strict

Name: plzip
Version: 1.12
Release: alt1
Summary: Plzip is a parallel version of the lzip data compressor
License: GPLv3+
Group: Archiving/Compression
Url: https://www.nongnu.org/lzip/plzip.html

# https://download.savannah.gnu.org/releases/lzip/plzip/plzip-%version.tar.gz
Source: %name-%version.tar

BuildRequires: gcc-c++ lzlib-devel
# explicitly added texinfo for info files
BuildRequires: texinfo

%description
Plzip is a parallel version of the lzip data compressor based on the LZMA
algorithm. The files produced by plzip are fully compatible with lzip-1.4 or
newer. Plzip is intended for faster compression/decompression of big files on
multiprocessor machines.

%prep
%setup

%build
%configure CXXFLAGS="%optflags %optflags_nocpp"
%make_build

%install
%makeinstall_std

%check
make check

%files
%_bindir/*
%_man1dir/*
%_infodir/*.info*

%changelog
