%define _unpackaged_files_terminate_build 1
%define pypi_name Beaker
%define pypi_nname beaker
%define mod_name %pypi_nname

Name: python3-module-%pypi_nname
Version: 1.13.0
Release: alt1

Summary: A Session and Caching library with WSGI Middleware

License: BSD-3-Clause
Group: Development/Python3
Url: https://pypi.org/project/Beaker/
Vcs: https://github.com/bbangert/beaker

# Source-url: %__pypi_url %pypi_name
Source: %name-%version.tar
Patch0: beaker-1.13.0-drop-support-for-unmaintained-python-nss.patch

BuildRequires(pre): rpm-build-intro
BuildRequires(pre): rpm-build-python3

BuildRequires: python3-module-setuptools

BuildArch: noarch

%add_python3_req_skip jarray javax
%add_python3_req_skip javax.crypto javax.crypto.spec

%description
Beaker is a web session and general caching library that includes WSGI
middleware for use in web applications. As a general caching library, Beaker can
handle storing for various times any Python object that can be pickled with
optional back-ends on a fine-grained basis. Beaker was built largely on the code
from MyghtyUtils, then refactored and extended with database support.

%prep
%setup
%autopatch -p2

%build
%pyproject_build

%install
%pyproject_install

# need servers running
#check
#python3_test

%files
%doc README.rst
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%pypi_name-%version.dist-info/

%changelog
