Name: python3-module-certifi
Version: 2024.12.14
Release: alt1

Summary: Python package for providing Mozilla's CA Bundle
License: MPL-2.0
Group: Development/Python
Url: https://pypi.python.org/pypi/certifi/

Source: %name-%version.tar

BuildArch: noarch
BuildRequires: rpm-build-pyproject
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

%description
This installable Python package contains a CA Bundle that you can
reference in your Python code. This is useful for verifying HTTP
requests, for example.

This is the same CA Bundle which ships with the Requests codebase, and
is derived from Mozilla Firefox's canonical set.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%files
%doc LICENSE *.rst
%python3_sitelibdir/certifi
%python3_sitelibdir/certifi-%version.dist-info

%changelog
