%define _unpackaged_files_terminate_build 1
%define pypi_name cssselect

%def_with check

Name: python3-module-%pypi_name
Version: 1.2.0
Release: alt2
Summary: Parses CSS3 Selectors and translates them to XPath 1.0
License: BSD-3-Clause
Group: Development/Python3
Url: https://pypi.org/project/cssselect/
Vcs: https://github.com/scrapy/cssselect
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata
%pyproject_builddeps_check
%endif

%description
Cssselect parses CSS3 Selectors and translates them to XPath 1.0
expressions.  Such expressions can be used in lxml or another XPath
engine to find the matching elements in an XML or HTML document.

%prep
%setup
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync_check_tox tox.ini testenv
%endif

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -vra

%files
%doc README.*
%python3_sitelibdir/cssselect/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
