%define oname daiquiri

%def_with check

Name: python3-module-%oname
Version: 3.3.0
Release: alt1.1

Summary: Library to configure Python logging easily

License: Apache-2.0
Group: Development/Python3
URL: https://pypi.org/project/daiquiri
VCS: https://github.com/Mergifyio/daiquiri

Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-setuptools-scm
BuildRequires: python3-module-wheel

%if_with check
BuildRequires: python3-module-python-json-logger
BuildRequires: python3-module-pytest
%endif

%description
The daiquiri library provides an easy way to configure logging.
It also provides some custom formatters and handlers.

%prep
%setup

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
%pyproject_build

%install
%pyproject_install

%check
%tox_check_pyproject

%files
%doc README.rst
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info

%changelog
