%define _unpackaged_files_terminate_build 1
%define oname flexmock

%def_with check

Name: python3-module-%oname
Version: 0.12.2
Release: alt1

Summary: Mock/Stub/Spy library for Python
License: BSD-2-Clause
Group: Development/Python3
Url: https://pypi.org/project/flexmock/
Vcs: https://github.com/flexmock/flexmock

Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-poetry-core
%if_with check
BuildRequires: python3-module-twisted-core-tests
BuildRequires: python3-module-zope.testrunner
BuildRequires: python3-module-testtools
BuildRequires: python3-module-subunit
%endif

%description
flexmock is a testing library for Python that makes it easy to create
mocks, stubs and fakes.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
sed -i '/python tests\/test_teamcity.py/d' tox.ini
%tox_check_pyproject

%files
%doc *.md LICENSE
%python3_sitelibdir/%oname
%python3_sitelibdir/%{pyproject_distinfo %oname}

%changelog
