Name: python3-module-miio
Version: 0.5.12
Release: alt2

Summary: Python miIO library
License: BSD
Group: Development/Python
Url: https://pypi.org/project/python-miio/

Source0: %name-%version-%release.tar

BuildArch: noarch
BuildRequires: rpm-build-python3
BuildRequires: python3(poetry-core)

%package -n miio-tools
Summary: miIO tools
Group: Development/Python
Requires: python3-module-miio = %version-%release

%description
This library (and its accompanying cli tool) can be used to interface
with devices using Xiaomi's miIO and miOT protocols.

%description -n miio-tools
This library (and its accompanying cli tool) can be used to interface
with devices using Xiaomi's miIO and miOT protocols.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install
find %buildroot%python3_sitelibdir -type f -name \*.py |\
	xargs grep -l 'miio.tests.dummies' |\
	sed 's,%buildroot,%exclude ,' > tests.files
find %buildroot%python3_sitelibdir -type d -name tests |\
	sed 's,%buildroot,%exclude ,' >> tests.files

%files -f tests.files
%python3_sitelibdir/miio
%python3_sitelibdir/python_miio-%version.dist-info

%files -n miio-tools
%_bindir/*

%changelog
