%define  oname pook

# tests rely on lots of network
%def_without check

Name:    python3-module-%oname
Version: 2.1.3
Release: alt1

Summary: HTTP traffic mocking and testing made easy in Python

License: MIT
Group:   Development/Python3
URL:     https://pypi.org/project/pook
VCS:     https://github.com/h2non/pook

Packager: Grigory Ustinov <grenka@altlinux.org>

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-hatchling

%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-aiohttp
BuildRequires: python3-module-furl
BuildRequires: python3-module-xmltodict
BuildRequires: python3-module-jsonschema
BuildRequires: python3-module-requests
BuildRequires: python3-module-urllib3
BuildRequires: python3-module-httpx
BuildRequires: python3-module-pytest-httpbin
%endif

BuildArch: noarch

Source:  %name-%version.tar

%description
%summary.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -k 'not test_engines' --ignore="tests/unit/interceptors" --ignore="tests/integration"

%files
%doc LICENSE *.rst
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info

%changelog
