%define oname pre-commit

Name:    python3-module-%oname
Version: 4.1.0
Release: alt1

Summary: A framework for managing and maintaining multi-language pre-commit hooks

License: MIT
Group:   Development/Python3
URL:     https://pypi.org/project/pre-commit
VCS:     https://github.com/pre-commit/pre-commit

Packager: Grigory Ustinov <grenka@altlinux.org>

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

BuildArch: noarch

Source:  %name-%version.tar

%description
%summary.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
# tests need lots of network, git and other stuff

%files
%doc LICENSE *.md
%_bindir/%oname
%python3_sitelibdir/pre_commit
%python3_sitelibdir/pre_commit-%version.dist-info

%changelog
