%define oname pyaml

%def_with check

Name: python3-module-%oname
Version: 25.1.0
Release: alt1.1

Summary: PyYAML-based module to produce pretty and readable YAML-serialized data
License: WTFPL
Group: Development/Python3
URL: https://pypi.org/project/pyaml
VCS: https://github.com/mk-fg/pretty-yaml
BuildArch: noarch

Source0: %name-%version.tar.gz

BuildRequires(pre): rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

%if_with check
# install_requires=
BuildRequires: python3(yaml)

BuildRequires: python3(unidecode)

BuildRequires: python3(tox)
BuildRequires: python3-module-pytest
%endif

%description
PyYAML-based module to produce pretty and readable YAML-serialized data.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_create_default_config
%tox_check_pyproject

%files
%doc COPYING README.rst
%_bindir/pyaml
%python3_sitelibdir/%oname/
%python3_sitelibdir/%oname-%version.dist-info/
%exclude %python3_sitelibdir/*/tests

%changelog
