%define oname rcssmin

%def_with check

Name: python3-module-%oname
Version: 1.2.1
Release: alt1

Summary: CSS Minifier

License: Apache-2.0
Group: Development/Python3
URL: https://pypi.org/project/rcssmin
VCS: https://github.com/ndparker/rcssmin

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%if_with check
BuildRequires: python3-module-pytest
%endif

%py3_provides %oname

%description
rCSSmin is a CSS minifier written in python.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
export PYTHONPATH=%buildroot%python3_sitelibdir
%pyproject_run_pytest

%files
%python3_sitelibdir/%oname.py
%python3_sitelibdir/%oname-%version.dist-info
%python3_sitelibdir/__pycache__
%python3_sitelibdir/_%oname.*.so

%changelog
