%define _unpackaged_files_terminate_build 1
%define pypi_name responses

%def_with check

Name: python3-module-%pypi_name
Version: 0.25.6
Release: alt1
Summary: A utility library for mocking out the requests Python library
License: Apache-2.0
Group: Development/Python3
Url: https://pypi.org/project/responses/
VCS: https://github.com/getsentry/responses.git
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch: %name-%version-alt.patch
%add_pyproject_deps_runtime_filter types-
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata_extra tests
%endif

%description
A utility library for mocking out the `requests` Python library.

%prep
%setup
%autopatch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -ra -Wignore

%files
%doc README.*
%python3_sitelibdir/responses/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
