Name: python3-module-securetar
Version: 2024.11.0
Release: alt1

Summary: Secure Tarfile library
License: Apache-2.0
Group: Development/Python
Url: https://github.com/pvizeli/securetar

Source0: %name-%version-%release.tar

BuildArch: noarch
BuildRequires: rpm-build-pyproject
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

BuildRequires: python3(pytest)
BuildRequires: python3(cryptography)

%description
%summary

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest tests

%files
%python3_sitelibdir/securetar
%python3_sitelibdir/securetar-%version.dist-info

%changelog
