%define _unpackaged_files_terminate_build 1
%define module_name testlink
%define pypi_name TestLink_API_Python_client
%def_with check

Name: python3-module-%module_name
Version: 0.8.1
Release: alt10.1
Summary: A Python client to use the TestLink API
License: Apache-2.0
Group: Development/Python3
Url: https://github.com/lczub/TestLink-API-Python-client
Source: %name-%version.tar
Patch1: alt-disable-online-tests.patch

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

%if_with check
BuildRequires: python3-module-pytest
%endif

%description
TestLink-API-Python-client is a Python XML-RPC client for TestLink.

%prep
%setup
%patch1 -p1

%build
%pyproject_build

%install
%pyproject_install
cp -r example %buildroot%python3_sitelibdir/%module_name

%check
%tox_check_pyproject

%files
%python3_sitelibdir/%module_name
%python3_sitelibdir/%pypi_name-%version.dist-info

%changelog
