%define oname toolz

%def_with check

Name: python3-module-%oname
Version: 1.0.0
Release: alt1.1

Summary: List processing tools and functional utilities
License: BSD-3-Clause
Group: Development/Python3
URL: https://pypi.org/project/toolz
VCS: https://github.com/pytoolz/toolz
BuildArch: noarch

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
%if_with check
BuildRequires: python3-module-pytest
%endif

%description
A set of utility functions for iterators, functions, and dictionaries.

%prep
%setup

sed -i 's|"version": "0+unknown"|"version": "%version"|' versioneer.py

%build
%pyproject_build

%install
%pyproject_install

%check
# https://github.com/pytoolz/toolz/issues/564
%tox_check_pyproject -- -k'not test_shakespeare'

%files
%doc LICENSE.txt *.rst *.md
%python3_sitelibdir/tlz
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info

%changelog
