%define _unpackaged_files_terminate_build 1
%define oname trytond_party

Name: python3-module-%oname
Version: 7.4.1
Release: alt1

Summary: Tryton module with parties and addresses
License: GPL-3
Group: Development/Python3
Url: https://pypi.python.org/pypi/trytond_party/

Source0: %oname-%version.tar
BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%description
The party module of the Tryton application platform.

%package tests
Summary: Tests for %oname
Group: Development/Python3
Requires: %name = %EVR

%description tests
The party module of the Tryton application platform.

This package contains tests for %oname.

%prep
%setup -q -n %{oname}-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files
%doc CHANGELOG COPYRIGHT LICENSE README.rst doc/*
%python3_sitelibdir/*
%exclude %python3_sitelibdir/*/*/*/tests

%files tests
%python3_sitelibdir/*/*/*/tests


%changelog
