%define _unpackaged_files_terminate_build 1

%def_with check

Name: rapidfuzz-cpp
Version: 3.3.1
Release: alt1

Summary: Rapid fuzzy string matching in C++ using the Levenshtein Distance
License: MIT
Group: Development/C++
Url: https://github.com/rapidfuzz/rapidfuzz-cpp
Vcs: https://github.com/rapidfuzz/rapidfuzz-cpp

Source: %name-%version.tar
Patch0: %name-%version-alt.patch

BuildRequires(pre): rpm-macros-cmake
BuildRequires: cmake
BuildRequires: gcc-c++
%if_with check
BuildRequires: ctest
BuildRequires: catch-devel
%endif

%description
%summary.

%package devel
Summary: Rapid fuzzy string matching in C++ using the Levenshtein Distance
Group: Development/C++

%description devel
%summary.

%prep
%setup
%autopatch -p1

%build
%cmake \
  -DRAPIDFUZZ_INSTALL:BOOL=ON \
%if_with check
  -DRAPIDFUZZ_BUILD_TESTING:BOOL=ON \
%endif
  %nil
%cmake_build

%install
%cmake_install

%check
%ctest

%files devel
%doc LICENSE README.md CHANGELOG.md
%_includedir/rapidfuzz
%_cmakedir/rapidfuzz

%changelog
