%define _unpackaged_files_terminate_build 1

Name: skrooge
Version: 25.1.0
Release: alt1
Summary: A personal finances manager, powered by KDE
License: %gpl2plus
Group: Office
URL: http://skrooge.org/
Packager: Andrey Cherepanov <cas@altlinux.org> 

Source: %name-%version.tar.xz
Source1:%name.po

ExcludeArch: ppc64le armh %ix86

BuildRequires(pre): rpm-build-licenses
BuildRequires(pre): rpm-build-kf6
BuildRequires(pre): rpm-build-python3
BuildRequires: extra-cmake-modules gcc-c++
BuildRequires: grantlee5-devel
BuildRequires: kf6-karchive-devel
BuildRequires: kf6-kauth-devel
BuildRequires: kf6-kbookmarks-devel
BuildRequires: kf6-kcodecs-devel
BuildRequires: kf6-kcompletion-devel
BuildRequires: kf6-kconfig-devel
BuildRequires: kf6-kconfigwidgets-devel
BuildRequires: kf6-kcoreaddons-devel
BuildRequires: kf6-kcrash-devel
BuildRequires: kf6-kdbusaddons-devel
BuildRequires: kf6-kdeclarative-devel
BuildRequires: kf6-kdoctools
BuildRequires: kf6-kdoctools-devel
BuildRequires: kf6-kdoctools-devel-static
BuildRequires: kf6-kguiaddons-devel
BuildRequires: kf6-ki18n-devel
BuildRequires: kf6-kiconthemes-devel
BuildRequires: kf6-kio-devel
BuildRequires: kf6-kitemmodels-devel
BuildRequires: kf6-kitemviews-devel
BuildRequires: kf6-kjobwidgets-devel
BuildRequires: kf6-knewstuff-devel
BuildRequires: kf6-knotifications-devel
BuildRequires: kf6-knotifyconfig-devel
BuildRequires: kf6-kpackage-devel
BuildRequires: kf6-kparts-devel
BuildRequires: kf6-krunner-devel
BuildRequires: kf6-kservice-devel
BuildRequires: kf6-ktexttemplate-devel
BuildRequires: kf6-ktextwidgets-devel
BuildRequires: kf6-kunitconversion-devel
BuildRequires: kf6-kwallet-devel
BuildRequires: kf6-kwidgetsaddons-devel
BuildRequires: kf6-kwindowsystem-devel
BuildRequires: kf6-kxmlgui-devel
BuildRequires: kf6-solid-devel
BuildRequires: kf6-sonnet-devel
BuildRequires: libofx-devel
#BuildRequires: libqca-qt6-devel
BuildRequires: libsqlite3-devel
BuildRequires: libsqlcipher-devel
BuildRequires: qt6-5compat-devel
BuildRequires: qt6-declarative-devel
BuildRequires: qt6-svg-devel
BuildRequires: qt6-tools-devel
BuildRequires: qt6-webengine-devel

Requires: libgrantlee_templates5
Requires: kf6-kio
Requires: libqt6-core = %_qt6_version

%description
A personal finances manager, powered by KDE.

%prep
%setup
#cp -f %SOURCE1 po/ru/skrooge.po

%build
%K6init no_altplace
%K6build -DSKG_CIPHER=OFF \
         -DQT_MAJOR_VERSION=6 \
         -DKDE_INSTALL_KXMLGUIDIR=%_K6xmlgui \
         -DSKG_BUILD_TEST=OFF

%install
%K6install
%find_lang --with-kde %name

%files -f %name.lang
%doc AUTHORS CHANGELOG README.md
%_K6bin/*
%_K6cfg/*
%_K6lib/libskg*
%_qt6_plugindir/sqldrivers/libsk*.so
%_qt6_plugindir/sk*
%_K6xdgmime/*
%_K6xdgapp/*%name.desktop
%_iconsdir/*/*/*/*
%_K6xmlgui/*
%_K6plug/kf6/ktexttemplate/grantlee_skgfilters.so
%_K6notif/%name.notifyrc
%_datadir/%name
%_datadir/knsrcfiles/*.knsrc
%_datadir/metainfo/*.appdata.xml
%_datadir/skrooge_import_backend/*.json
%_datadir/skrooge_source/*.json

%changelog
