Name: squidmill
Version: 2.6.1
Release: alt3

Source: %name-%version.tar

Packager: Paul Wolneykien <manowar@altlinux.ru>

Summary: Squid proxy server access log collector with rounding support
License: GPLv3+
Group: System/Configuration/Other

BuildRequires: gambit-devel
BuildRequires: gambit-sqlite3-devel >= 1.2-alt7
BuildRequires: gambit-signal-devel >= 1.1-alt1
BuildRequires: gambit-dsock-devel >= 1.1-alt1
BuildRequires: sqlite3 %_bindir/dc gawk

Requires: gambit-sqlite3 >= 1.2-alt7
Requires: gambit-signal >= 1.1-alt1
Requires: gambit-dsock >= 1.1-alt1

%description
Squidmill daemon acquires and integrates information from the
Squid proxy server access log files. Rounding is supported to
save space and reporting time.

%prep
%setup

%build
%make CFLAGS='%optflags' includedir=%_includedir libdir=%_libdir

%install
%makeinstall initdir=%buildroot%_initdir unitdir=%buildroot%_unitdir

mkdir -p %buildroot%_var/run/squidmill

install -d  %buildroot/%_tmpfilesdir
echo "d /run/squidmill squid squid 775" >   %buildroot/%_tmpfilesdir/squidmill.conf

%check
%make check

%preun
%preun_service squidmill
%files
%_sbindir/squidmill
%_initdir/squidmill
%_unitdir/squidmill.service
%_tmpfilesdir/squidmill.conf 

%_sysconfdir/sysconfig/squidmill
%attr(0775, squid, squid) %dir %_var/run/squidmill

%changelog
