Name: vorbis-tools
Version: 1.4.2
Release: alt2

Summary: The Vorbis General Audio Compression Codec tools
License: GPLv2
Group: Sound
URL: https://www.xiph.org/
# https://downloads.xiph.org/releases/vorbis/%name-%version.tar.gz
Source: %name-%version.tar
Patch0: vorbis-tools-1.4.2-CVE-2023-43361.patch
Patch1: vorbis-tools-1.4.2-gcc14.patch

# Automatically added by buildreq on Fri Oct 22 2010
BuildRequires: libao-devel libcurl-devel libflac-devel libkate-devel libspeex-devel libvorbis-devel

%description
Ogg Vorbis is a fully open, non-proprietary, patent- and royalty-free,
general-purpose compressed audio format for audio and music at fixed
and variable bitrates from 16 to 128 kbps/channel.

The package contains an encoder, a decoder, a playback tool, a cut tool,
an informator, and a comment editor.

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
%configure
%make_build

%install
%makeinstall_std
%find_lang %name

%define _unpackaged_files_terminate_build 1
%define _stripped_files_terminate_build 1
%set_verify_elf_method strict

%files -f %name.lang
%_bindir/*
%_man1dir/*
%doc AUTHORS CHANGES README

%changelog
