Name: xfce4-cpugraph-plugin
Version: 1.2.11
Release: alt1

Summary: CPU monitor for the Xfce panel
License: GPLv2+
Group: Graphical desktop/XFce
Url: https://docs.xfce.org/panel-plugins/xfce4-cpugraph-plugin
Packager: Xfce Team <xfce@packages.altlinux.org>

Vcs: https://gitlab.xfce.org/panel-plugins/xfce4-cpugraph-plugin.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libxfce4panel-gtk3-devel >= 4.16.0 libxfce4ui-gtk3-devel >= 4.16.0 libxfce4util-devel >= 4.17.2
BuildRequires: libxfconf-devel >= 4.12.0
BuildRequires: gcc-c++

Requires: xfce4-panel >= 4.17

%define _unpackaged_files_terminate_build 1

%description
A CPU monitor plugin for the Xfce panel. It offers multiple display
modes (LED, gradient, fire, etc...) to show the current CPU load of
the system. The colors and the size of the plugin are customizable.

%prep
%setup
%patch -p1

%build
%ifarch %e2k
# explicit one required for std::string_view as of lcc 1.26.21
%add_optflags -std=c++17
%endif
%xfce4reconf
%configure \
    --enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README.md AUTHORS NEWS
%_libdir/xfce4/panel/plugins/*.so
%_datadir/xfce4/panel/plugins/*.desktop
%_datadir/icons/hicolor/*/*/*

%exclude %_libdir/xfce4/panel/plugins/*.la

%changelog
